<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for addShipmentResponseItemType StructType
 * @subpackage Structs
 */
class AddShipmentResponseItemType extends AbstractStructBase
{
    /**
     * The guid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - length: 32
     * - use: required
     * - whiteSpace: collapse
     * @var string
     */
    public $guid;
    /**
     * The error
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ErrorType[]
     */
    public $error;
    /**
     * The numerNadania
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 20
     * - minLength: 13
     * @var string
     */
    public $numerNadania;
    /**
     * The numerTransakcjiOdbioru
     * @var string
     */
    public $numerTransakcjiOdbioru;
    /**
     * Constructor method for addShipmentResponseItemType
     * @uses AddShipmentResponseItemType::setGuid()
     * @uses AddShipmentResponseItemType::setError()
     * @uses AddShipmentResponseItemType::setNumerNadania()
     * @uses AddShipmentResponseItemType::setNumerTransakcjiOdbioru()
     * @param string $guid
     * @param ErrorType[] $error
     * @param string $numerNadania
     * @param string $numerTransakcjiOdbioru
     */
    public function __construct($guid = null, array $error = array(), $numerNadania = null, $numerTransakcjiOdbioru = null)
    {
        $this
            ->setGuid($guid)
            ->setError($error)
            ->setNumerNadania($numerNadania)
            ->setNumerTransakcjiOdbioru($numerTransakcjiOdbioru);
    }
    /**
     * Get guid value
     * @return string
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return AddShipmentResponseItemType
     */
    public function setGuid($guid = null)
    {
        $this->guid = $guid;
        return $this;
    }
    /**
     * Get error value
     * @return ErrorType[]|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * Set error value
     * @param ErrorType[] $error
     * @return AddShipmentResponseItemType
     */
    public function setError(array $error = array())
    {
        $this->error = $error;
        return $this;
    }
    /**
     * Add item to error value
     * @throws \InvalidArgumentException
     * @param ErrorType $item
     * @return AddShipmentResponseItemType
     */
    public function addToError(ErrorType $item)
    {
        $this->error[] = $item;
        return $this;
    }
    /**
     * Get numerNadania value
     * @return string|null
     */
    public function getNumerNadania()
    {
        return $this->numerNadania;
    }
    /**
     * Set numerNadania value
     * @param string $numerNadania
     * @return AddShipmentResponseItemType
     */
    public function setNumerNadania($numerNadania = null)
    {
        $this->numerNadania = $numerNadania;
        return $this;
    }
    /**
     * Get numerTransakcjiOdbioru value
     * @return string|null
     */
    public function getNumerTransakcjiOdbioru()
    {
        return $this->numerTransakcjiOdbioru;
    }
    /**
     * Set numerTransakcjiOdbioru value
     * @param string $numerTransakcjiOdbioru
     * @return AddShipmentResponseItemType
     */
    public function setNumerTransakcjiOdbioru($numerTransakcjiOdbioru = null)
    {
        $this->numerTransakcjiOdbioru = $numerTransakcjiOdbioru;
        return $this;
    }
}
