<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for checklistTemplateType StructType
 * @subpackage Structs
 */
class ChecklistTemplateType extends AbstractStructBase
{
    /**
     * The idChecklistTemplate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $idChecklistTemplate;
    /**
     * The idKarta
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $idKarta;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The title
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 45
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $title;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 100
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The infoForCourier
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 1000
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $infoForCourier;
    /**
     * The default
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $default;
    /**
     * The validFrom
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $validFrom;
    /**
     * The validTo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $validTo;
    /**
     * The logo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $logo;
    /**
     * The service
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $service;
    /**
     * The additionalActivity
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var AdditionalActivityType[]
     */
    public $additionalActivity;
    /**
     * The guid
     * Meta information extracted from the WSDL
     * - documentation: GUID elementu checklistTemplate. Wartość wykorzystywana do przekazania rezultatu dla elementu kolekcji.
     * - base: xsd:string
     * - length: 32
     * - maxOccurs: 1
     * - minOccurs: 0
     * - whiteSpace: collapse
     * @var string
     */
    public $guid;
    /**
     * Constructor method for checklistTemplateType
     * @uses ChecklistTemplateType::setIdChecklistTemplate()
     * @uses ChecklistTemplateType::setIdKarta()
     * @uses ChecklistTemplateType::setName()
     * @uses ChecklistTemplateType::setTitle()
     * @uses ChecklistTemplateType::setDescription()
     * @uses ChecklistTemplateType::setInfoForCourier()
     * @uses ChecklistTemplateType::setDefault()
     * @uses ChecklistTemplateType::setValidFrom()
     * @uses ChecklistTemplateType::setValidTo()
     * @uses ChecklistTemplateType::setLogo()
     * @uses ChecklistTemplateType::setService()
     * @uses ChecklistTemplateType::setAdditionalActivity()
     * @uses ChecklistTemplateType::setGuid()
     * @param int $idChecklistTemplate
     * @param int $idKarta
     * @param string $name
     * @param string $title
     * @param string $description
     * @param string $infoForCourier
     * @param bool $default
     * @param string $validFrom
     * @param string $validTo
     * @param string $logo
     * @param string $service
     * @param AdditionalActivityType[] $additionalActivity
     * @param string $guid
     */
    public function __construct($idChecklistTemplate = null, $idKarta = null, $name = null, $title = null, $description = null, $infoForCourier = null, $default = null, $validFrom = null, $validTo = null, $logo = null, $service = null, array $additionalActivity = array(), $guid = null)
    {
        $this
            ->setIdChecklistTemplate($idChecklistTemplate)
            ->setIdKarta($idKarta)
            ->setName($name)
            ->setTitle($title)
            ->setDescription($description)
            ->setInfoForCourier($infoForCourier)
            ->setDefault($default)
            ->setValidFrom($validFrom)
            ->setValidTo($validTo)
            ->setLogo($logo)
            ->setService($service)
            ->setAdditionalActivity($additionalActivity)
            ->setGuid($guid);
    }
    /**
     * Get idChecklistTemplate value
     * @return int|null
     */
    public function getIdChecklistTemplate()
    {
        return $this->idChecklistTemplate;
    }
    /**
     * Set idChecklistTemplate value
     * @param int $idChecklistTemplate
     * @return ChecklistTemplateType
     */
    public function setIdChecklistTemplate($idChecklistTemplate = null)
    {
        $this->idChecklistTemplate = $idChecklistTemplate;
        return $this;
    }
    /**
     * Get idKarta value
     * @return int|null
     */
    public function getIdKarta()
    {
        return $this->idKarta;
    }
    /**
     * Set idKarta value
     * @param int $idKarta
     * @return ChecklistTemplateType
     */
    public function setIdKarta($idKarta = null)
    {
        $this->idKarta = $idKarta;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return ChecklistTemplateType
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get title value
     * @return string|null
     */
    public function getTitle()
    {
        return $this->title;
    }
    /**
     * Set title value
     * @param string $title
     * @return ChecklistTemplateType
     */
    public function setTitle($title = null)
    {
        $this->title = $title;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return ChecklistTemplateType
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get infoForCourier value
     * @return string|null
     */
    public function getInfoForCourier()
    {
        return $this->infoForCourier;
    }
    /**
     * Set infoForCourier value
     * @param string $infoForCourier
     * @return ChecklistTemplateType
     */
    public function setInfoForCourier($infoForCourier = null)
    {
        $this->infoForCourier = $infoForCourier;
        return $this;
    }
    /**
     * Get default value
     * @return bool|null
     */
    public function getDefault()
    {
        return $this->default;
    }
    /**
     * Set default value
     * @param bool $default
     * @return ChecklistTemplateType
     */
    public function setDefault($default = null)
    {
        $this->default = $default;
        return $this;
    }
    /**
     * Get validFrom value
     * @return string|null
     */
    public function getValidFrom()
    {
        return $this->validFrom;
    }
    /**
     * Set validFrom value
     * @param string $validFrom
     * @return ChecklistTemplateType
     */
    public function setValidFrom($validFrom = null)
    {
        $this->validFrom = $validFrom;
        return $this;
    }
    /**
     * Get validTo value
     * @return string|null
     */
    public function getValidTo()
    {
        return $this->validTo;
    }
    /**
     * Set validTo value
     * @param string $validTo
     * @return ChecklistTemplateType
     */
    public function setValidTo($validTo = null)
    {
        $this->validTo = $validTo;
        return $this;
    }
    /**
     * Get logo value
     * @return string|null
     */
    public function getLogo()
    {
        return $this->logo;
    }
    /**
     * Set logo value
     * @param string $logo
     * @return ChecklistTemplateType
     */
    public function setLogo($logo = null)
    {
        $this->logo = $logo;
        return $this;
    }
    /**
     * Get service value
     * @return string|null
     */
    public function getService()
    {
        return $this->service;
    }
    /**
     * Set service value
     * @param string $service
     * @return ChecklistTemplateType
     */
    public function setService($service = null)
    {
        $this->service = $service;
        return $this;
    }
    /**
     * Get additionalActivity value
     * @return AdditionalActivityType[]|null
     */
    public function getAdditionalActivity()
    {
        return $this->additionalActivity;
    }
    /**
     * Set additionalActivity value
     * @param AdditionalActivityType[] $additionalActivity
     * @return ChecklistTemplateType
     */
    public function setAdditionalActivity(array $additionalActivity = array())
    {
        $this->additionalActivity = $additionalActivity;
        return $this;
    }
    /**
     * Add item to additionalActivity value
     * @throws \InvalidArgumentException
     * @param AdditionalActivityType $item
     * @return ChecklistTemplateType
     */
    public function addToAdditionalActivity(AdditionalActivityType $item)
    {
        $this->additionalActivity[] = $item;
        return $this;
    }
    /**
     * Get guid value
     * @return string|null
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return ChecklistTemplateType
     */
    public function setGuid($guid = null)
    {
        $this->guid = $guid;
        return $this;
    }
}
