<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'addShipment' => 'AddShipment',
            'addShipmentResponse' => 'AddShipmentResponse',
            'przesylkaType' => 'PrzesylkaType',
            'pocztexKrajowyType' => 'PocztexKrajowyType',
            'changePassword' => 'ChangePassword',
            'changePasswordResponse' => 'ChangePasswordResponse',
            'paczkaPocztowaType' => 'PaczkaPocztowaType',
            'przesylkaPoleconaKrajowaType' => 'PrzesylkaPoleconaKrajowaType',
            'przesylkaHandlowaType' => 'PrzesylkaHandlowaType',
            'przesylkaListowaZadeklarowanaWartoscType' => 'PrzesylkaListowaZadeklarowanaWartoscType',
            'przesylkaFullType' => 'PrzesylkaFullType',
            'errorType' => 'ErrorType',
            'adresType' => 'AdresType',
            'sendEnvelope' => 'SendEnvelope',
            'sendEnvelopeResponseType' => 'SendEnvelopeResponseType',
            'getUrzedyNadania' => 'GetUrzedyNadania',
            'getUrzedyNadaniaResponse' => 'GetUrzedyNadaniaResponse',
            'clearEnvelope' => 'ClearEnvelope',
            'clearEnvelopeResponse' => 'ClearEnvelopeResponse',
            'urzadNadaniaFullType' => 'UrzadNadaniaFullType',
            'urzadWydaniaEPrzesylkiType' => 'UrzadWydaniaEPrzesylkiType',
            'pobranieType' => 'PobranieType',
            'przesylkaPoleconaZagranicznaType' => 'PrzesylkaPoleconaZagranicznaType',
            'przesylkaZadeklarowanaWartoscZagranicznaType' => 'PrzesylkaZadeklarowanaWartoscZagranicznaType',
            'uploadIWDContent' => 'UploadIWDContent',
            'getEnvelopeStatus' => 'GetEnvelopeStatus',
            'getEnvelopeStatusResponse' => 'GetEnvelopeStatusResponse',
            'downloadIWDContent' => 'DownloadIWDContent',
            'downloadIWDContentResponse' => 'DownloadIWDContentResponse',
            'przesylkaShortType' => 'PrzesylkaShortType',
            'addShipmentResponseItemType' => 'AddShipmentResponseItemType',
            'getKarty' => 'GetKarty',
            'getKartyResponse' => 'GetKartyResponse',
            'getPasswordExpiredDate' => 'GetPasswordExpiredDate',
            'getPasswordExpiredDateResponse' => 'GetPasswordExpiredDateResponse',
            'setAktywnaKarta' => 'SetAktywnaKarta',
            'setAktywnaKartaResponse' => 'SetAktywnaKartaResponse',
            'getEnvelopeContentFull' => 'GetEnvelopeContentFull',
            'getEnvelopeContentFullResponse' => 'GetEnvelopeContentFullResponse',
            'getEnvelopeContentShort' => 'GetEnvelopeContentShort',
            'getEnvelopeContentShortResponse' => 'GetEnvelopeContentShortResponse',
            'hello' => 'Hello',
            'helloResponse' => 'HelloResponse',
            'kartaType' => 'KartaType',
            'getAddressLabel' => 'GetAddressLabel',
            'getAddressLabelResponse' => 'GetAddressLabelResponse',
            'addressLabelContent' => 'AddressLabelContent',
            'getOutboxBook' => 'GetOutboxBook',
            'getOutboxBookResponse' => 'GetOutboxBookResponse',
            'getFirmowaPocztaBook' => 'GetFirmowaPocztaBook',
            'getFirmowaPocztaBookResponse' => 'GetFirmowaPocztaBookResponse',
            'getEnvelopeList' => 'GetEnvelopeList',
            'getEnvelopeListResponse' => 'GetEnvelopeListResponse',
            'envelopeInfoType' => 'EnvelopeInfoType',
            'przesylkaZagranicznaType' => 'PrzesylkaZagranicznaType',
            'przesylkaRejestrowanaType' => 'PrzesylkaRejestrowanaType',
            'przesylkaNieRejestrowanaType' => 'PrzesylkaNieRejestrowanaType',
            'przesylkaBiznesowaType' => 'PrzesylkaBiznesowaType',
            'subPrzesylkaBiznesowaType' => 'SubPrzesylkaBiznesowaType',
            'subPrzesylkaBiznesowaPlusType' => 'SubPrzesylkaBiznesowaPlusType',
            'getAddresLabelByGuid' => 'GetAddresLabelByGuid',
            'getAddresLabelByGuidResponse' => 'GetAddresLabelByGuidResponse',
            'przesylkaBiznesowaPlusType' => 'PrzesylkaBiznesowaPlusType',
            'pakietType' => 'PakietType',
            'opakowanieType' => 'OpakowanieType',
            'getPlacowkiPocztowe' => 'GetPlacowkiPocztowe',
            'getPlacowkiPocztoweResponse' => 'GetPlacowkiPocztoweResponse',
            'getGuid' => 'GetGuid',
            'getGuidResponse' => 'GetGuidResponse',
            'kierunekType' => 'KierunekType',
            'getKierunki' => 'GetKierunki',
            'getKierunkiResponse' => 'GetKierunkiResponse',
            'getKierunkiInfo' => 'GetKierunkiInfo',
            'getKierunkiInfoResponse' => 'GetKierunkiInfoResponse',
            'uslugiType' => 'UslugiType',
            'placowkaPocztowaType' => 'PlacowkaPocztowaType',
            'godzinyPracyType' => 'GodzinyPracyType',
            'godzinyPracyOdDoType' => 'GodzinyPracyOdDoType',
            'punktWydaniaPrzesylkiBiznesowejPlus' => 'PunktWydaniaPrzesylkiBiznesowejPlus',
            'getEnvelopeBufor' => 'GetEnvelopeBufor',
            'getEnvelopeBuforResponse' => 'GetEnvelopeBuforResponse',
            'clearEnvelopeByGuids' => 'ClearEnvelopeByGuids',
            'clearEnvelopeByGuidsResponse' => 'ClearEnvelopeByGuidsResponse',
            'zwrotDokumentowType' => 'ZwrotDokumentowType',
            'odbiorPrzesylkiOdNadawcyType' => 'OdbiorPrzesylkiOdNadawcyType',
            'potwierdzenieDoreczeniaType' => 'PotwierdzenieDoreczeniaType',
            'rodzajListType' => 'RodzajListType',
            'potwierdzenieOdbioruType' => 'PotwierdzenieOdbioruType',
            'doreczenieType' => 'DoreczenieType',
            'doreczenieUslugaPocztowaType' => 'DoreczenieUslugaPocztowaType',
            'doreczenieUslugaKurierskaType' => 'DoreczenieUslugaKurierskaType',
            'paczkaZagranicznaType' => 'PaczkaZagranicznaType',
            'paczkaZagranicznaPremiumType' => 'PaczkaZagranicznaPremiumType',
            'lokalizacjaGeograficznaType' => 'LokalizacjaGeograficznaType',
            'wspolrzednaGeograficznaType' => 'WspolrzednaGeograficznaType',
            'zwrotType' => 'ZwrotType',
            'listZwyklyType' => 'ListZwyklyType',
            'listZwyklyFirmowyType' => 'ListZwyklyFirmowyType',
            'reklamowaType' => 'ReklamowaType',
            'getEPOStatus' => 'GetEPOStatus',
            'getEPOStatusResponse' => 'GetEPOStatusResponse',
            'EPOType' => 'EPOType',
            'EPOSimpleType' => 'EPOSimpleType',
            'EPOExtendedType' => 'EPOExtendedType',
            'przesylkaEPOType' => 'PrzesylkaEPOType',
            'przesylkaFirmowaPoleconaType' => 'PrzesylkaFirmowaPoleconaType',
            'przesylkaNierejestrowanaZNumeremType' => 'PrzesylkaNierejestrowanaZNumeremType',
            'EPOInfoType' => 'EPOInfoType',
            'awizoPrzesylkiType' => 'AwizoPrzesylkiType',
            'doreczeniePrzesylkiType' => 'DoreczeniePrzesylkiType',
            'zwrotPrzesylkiType' => 'ZwrotPrzesylkiType',
            'getAddresLabelCompact' => 'GetAddresLabelCompact',
            'getAddresLabelCompactResponse' => 'GetAddresLabelCompactResponse',
            'getAddresLabelByGuidCompact' => 'GetAddresLabelByGuidCompact',
            'getAddresLabelByGuidCompactResponse' => 'GetAddresLabelByGuidCompactResponse',
            'ubezpieczenieType' => 'UbezpieczenieType',
            'EMSType' => 'EMSType',
            'getEnvelopeBuforList' => 'GetEnvelopeBuforList',
            'getEnvelopeBuforListResponse' => 'GetEnvelopeBuforListResponse',
            'buforType' => 'BuforType',
            'createEnvelopeBufor' => 'CreateEnvelopeBufor',
            'createEnvelopeBuforResponse' => 'CreateEnvelopeBuforResponse',
            'moveShipments' => 'MoveShipments',
            'moveShipmentsResponse' => 'MoveShipmentsResponse',
            'updateEnvelopeBufor' => 'UpdateEnvelopeBufor',
            'updateEnvelopeBuforResponse' => 'UpdateEnvelopeBuforResponse',
            'getUbezpieczeniaInfo' => 'GetUbezpieczeniaInfo',
            'getUbezpieczeniaInfoResponse' => 'GetUbezpieczeniaInfoResponse',
            'ubezpieczeniaInfoType' => 'UbezpieczeniaInfoType',
            'isMiejscowa' => 'IsMiejscowa',
            'isMiejscowaResponse' => 'IsMiejscowaResponse',
            'trasaRequestType' => 'TrasaRequestType',
            'trasaResponseType' => 'TrasaResponseType',
            'deklaracjaCelnaType' => 'DeklaracjaCelnaType',
            'szczegolyDeklaracjiCelnejType' => 'SzczegolyDeklaracjiCelnejType',
            'przesylkaPaletowaType' => 'PrzesylkaPaletowaType',
            'paletaType' => 'PaletaType',
            'platnikType' => 'PlatnikType',
            'subPrzesylkaPaletowaType' => 'SubPrzesylkaPaletowaType',
            'getBlankietPobraniaByGuids' => 'GetBlankietPobraniaByGuids',
            'getBlankietPobraniaByGuidsResponse' => 'GetBlankietPobraniaByGuidsResponse',
            'updateAccount' => 'UpdateAccount',
            'updateAccountResponse' => 'UpdateAccountResponse',
            'accountType' => 'AccountType',
            'getAccountList' => 'GetAccountList',
            'getAccountListResponse' => 'GetAccountListResponse',
            'profilType' => 'ProfilType',
            'getProfilList' => 'GetProfilList',
            'getProfilListResponse' => 'GetProfilListResponse',
            'updateProfil' => 'UpdateProfil',
            'updateProfilResponse' => 'UpdateProfilResponse',
            'uslugaPaczkowaType' => 'UslugaPaczkowaType',
            'subUslugaPaczkowaType' => 'SubUslugaPaczkowaType',
            'uslugaKurierskaType' => 'UslugaKurierskaType',
            'subUslugaKurierskaType' => 'SubUslugaKurierskaType',
            'createAccount' => 'CreateAccount',
            'createAccountResponse' => 'CreateAccountResponse',
            'createProfil' => 'CreateProfil',
            'createProfilResponse' => 'CreateProfilResponse',
            'potwierdzenieOdbioruPaczkowaType' => 'PotwierdzenieOdbioruPaczkowaType',
            'zwrotDokumentowKurierskaType' => 'ZwrotDokumentowKurierskaType',
            'potwierdzenieOdbioruKurierskaType' => 'PotwierdzenieOdbioruKurierskaType',
            'addReklamacje' => 'AddReklamacje',
            'addReklamacjeResponse' => 'AddReklamacjeResponse',
            'getReklamacje' => 'GetReklamacje',
            'getReklamacjeResponse' => 'GetReklamacjeResponse',
            'getZapowiedziFaktur' => 'GetZapowiedziFaktur',
            'getZapowiedziFakturResponse' => 'GetZapowiedziFakturResponse',
            'addOdwolanieDoReklamacji' => 'AddOdwolanieDoReklamacji',
            'addOdwolanieDoReklamacjiResponse' => 'AddOdwolanieDoReklamacjiResponse',
            'addRozbieznoscDoZapowiedziFaktur' => 'AddRozbieznoscDoZapowiedziFaktur',
            'addRozbieznoscDoZapowiedziFakturResponse' => 'AddRozbieznoscDoZapowiedziFakturResponse',
            'reklamowanaPrzesylkaType' => 'ReklamowanaPrzesylkaType',
            'powodReklamacjiType' => 'PowodReklamacjiType',
            'reklamacjaRozpatrzonaType' => 'ReklamacjaRozpatrzonaType',
            'getListaPowodowReklamacji' => 'GetListaPowodowReklamacji',
            'getListaPowodowReklamacjiResponse' => 'GetListaPowodowReklamacjiResponse',
            'powodSzczegolowyType' => 'PowodSzczegolowyType',
            'kategoriePowodowReklamacjiType' => 'KategoriePowodowReklamacjiType',
            'listBiznesowyType' => 'ListBiznesowyType',
            'zamowKuriera' => 'ZamowKuriera',
            'zamowKurieraResponse' => 'ZamowKurieraResponse',
            'getEZDOList' => 'GetEZDOList',
            'getEZDOListResponse' => 'GetEZDOListResponse',
            'getEZDO' => 'GetEZDO',
            'getEZDOResponse' => 'GetEZDOResponse',
            'EZDOPakietType' => 'EZDOPakietType',
            'EZDOPrzesylkaType' => 'EZDOPrzesylkaType',
            'wplataCKPType' => 'WplataCKPType',
            'getWplatyCKP' => 'GetWplatyCKP',
            'getWplatyCKPResponse' => 'GetWplatyCKPResponse',
            'globalExpresType' => 'GlobalExpresType',
            'cancelReklamacja' => 'CancelReklamacja',
            'cancelReklamacjaResponse' => 'CancelReklamacjaResponse',
            'zalacznikDoReklamacjiType' => 'ZalacznikDoReklamacjiType',
            'addZalacznikDoReklamacji' => 'AddZalacznikDoReklamacji',
            'addZalacznikDoReklamacjiResponse' => 'AddZalacznikDoReklamacjiResponse',
            'updateShopEZwroty' => 'UpdateShopEZwroty',
            'updateShopEZwrotyResponse' => 'UpdateShopEZwrotyResponse',
            'shopEZwrotyType' => 'ShopEZwrotyType',
            'getListaZgodEZwrotow' => 'GetListaZgodEZwrotow',
            'getListaZgodEZwrotowResponse' => 'GetListaZgodEZwrotowResponse',
            'oczekujeNaZgodeEZwrotType' => 'OczekujeNaZgodeEZwrotType',
            'setStatusZgodyNaEZwrot' => 'SetStatusZgodyNaEZwrot',
            'setStatusZgodyNaEZwrotResponse' => 'SetStatusZgodyNaEZwrotResponse',
            'statusZgodyEZwrotType' => 'StatusZgodyEZwrotType',
            'przesylkaEZwrotPocztexType' => 'PrzesylkaEZwrotPocztexType',
            'przesylkaEZwrotPaczkaType' => 'PrzesylkaEZwrotPaczkaType',
            'przesylkaEZwrotPaczkaPlusType' => 'PrzesylkaEZwrotPaczkaPlusType',
            'wyslijLinkaOStatusieEZwrotu' => 'WyslijLinkaOStatusieEZwrotu',
            'wyslijLinkaOStatusieEZwrotuResponse' => 'WyslijLinkaOStatusieEZwrotuResponse',
            'isObszarMiasto' => 'IsObszarMiasto',
            'isObszarMiastoResponse' => 'IsObszarMiastoResponse',
            'obszarAdresowyType' => 'ObszarAdresowyType',
            'obszarAdresowyResponseType' => 'ObszarAdresowyResponseType',
            'reklamacjaInfoType' => 'ReklamacjaInfoType',
            'setJednostkaOrganizacyjna' => 'SetJednostkaOrganizacyjna',
            'setJednostkaOrganizacyjnaResponse' => 'SetJednostkaOrganizacyjnaResponse',
            'jednostkaOrganizacyjnaType' => 'JednostkaOrganizacyjnaType',
            'getJednostkaOrganizacyjna' => 'GetJednostkaOrganizacyjna',
            'getJednostkaOrganizacyjnaResponse' => 'GetJednostkaOrganizacyjnaResponse',
            'createReturnDocumentsProfile' => 'CreateReturnDocumentsProfile',
            'createReturnDocumentsProfileResponse' => 'CreateReturnDocumentsProfileResponse',
            'updateReturnDocumentsProfile' => 'UpdateReturnDocumentsProfile',
            'updateReturnDocumentsProfileResponse' => 'UpdateReturnDocumentsProfileResponse',
            'deleteReturnDocumentsProfile' => 'DeleteReturnDocumentsProfile',
            'deleteReturnDocumentsProfileResponse' => 'DeleteReturnDocumentsProfileResponse',
            'getReturnDocumentsProfileList' => 'GetReturnDocumentsProfileList',
            'getReturnDocumentsProfileListResponse' => 'GetReturnDocumentsProfileListResponse',
            'returnDocumentProfileType' => 'ReturnDocumentProfileType',
            'additionalActivityType' => 'AdditionalActivityType',
            'getAdditionalActivitiesList' => 'GetAdditionalActivitiesList',
            'getAdditionalActivitiesListResponse' => 'GetAdditionalActivitiesListResponse',
            'getChecklistTemplateList' => 'GetChecklistTemplateList',
            'getChecklistTemplateListResponse' => 'GetChecklistTemplateListResponse',
            'checklistTemplateType' => 'ChecklistTemplateType',
            'getParcelContentList' => 'GetParcelContentList',
            'getParcelContentListResponse' => 'GetParcelContentListResponse',
            'parcelContentType' => 'ParcelContentType',
            'przesylkaProceduralnaType' => 'PrzesylkaProceduralnaType',
            'createParcelContent' => 'CreateParcelContent',
            'createParcelContentResponse' => 'CreateParcelContentResponse',
            'updateParcelContent' => 'UpdateParcelContent',
            'updateParcelContentResponse' => 'UpdateParcelContentResponse',
            'deleteParcelContent' => 'DeleteParcelContent',
            'deleteParcelContentResponse' => 'DeleteParcelContentResponse',
            'createChecklistTemplate' => 'CreateChecklistTemplate',
            'createChecklistTemplateResponse' => 'CreateChecklistTemplateResponse',
            'updateChecklistTemplate' => 'UpdateChecklistTemplate',
            'updateChecklistTemplateResponse' => 'UpdateChecklistTemplateResponse',
            'deleteChecklistTemplate' => 'DeleteChecklistTemplate',
            'deleteChecklistTemplateResponse' => 'DeleteChecklistTemplateResponse',
            'createShopEZwroty' => 'CreateShopEZwroty',
            'createShopEZwrotyResponse' => 'CreateShopEZwrotyResponse',
            'deleteShopEZwroty' => 'DeleteShopEZwroty',
            'deleteShopEZwrotyResponse' => 'DeleteShopEZwrotyResponse',
            'getShopEZwrotyList' => 'GetShopEZwrotyList',
            'getShopEZwrotyListResponse' => 'GetShopEZwrotyListResponse',
            'shopEZwrotyInfoType' => 'ShopEZwrotyInfoType',
            'daneSentType' => 'DaneSentType',
            'awizacjaType' => 'AwizacjaType',
            'przesylkaNierejestrowanaKrajowaType' => 'PrzesylkaNierejestrowanaKrajowaType',
            'listWartosciowyKrajowyType' => 'ListWartosciowyKrajowyType',
            'relatedToAllegroType' => 'RelatedToAllegroType',
            'getPrintForParcel' => 'GetPrintForParcel',
            'getPrintForParcelResponse' => 'GetPrintForParcelResponse',
            'PrintType' => 'PrintType',
            'PrintResultType' => 'PrintResultType',
            'deklaracjaCelna2Type' => 'DeklaracjaCelna2Type',
            'DokumentyTowarzyszaceType' => 'DokumentyTowarzyszaceType',
            'SzczegolyZawartosciPrzesylkiZagranicznejType' => 'SzczegolyZawartosciPrzesylkiZagranicznejType',
            'dataZlozeniaType' => 'DataZlozeniaType',
            'potwierdzenieOdbioruBiznesowaType' => 'PotwierdzenieOdbioruBiznesowaType',
            'doreczenieBiznesowaType' => 'DoreczenieBiznesowaType',
            'zwrotDokumentowBiznesowaType' => 'ZwrotDokumentowBiznesowaType',
            'sposobDoreczeniaType' => 'SposobDoreczeniaType',
            'adresKorespondencyjny' => 'AdresKorespondencyjny',
            'eZwrotKartaType' => 'EZwrotKartaType',
            'oplacaOdbiorcaType' => 'OplacaOdbiorcaType',
            'oplacaOdbiorcaKartaType' => 'OplacaOdbiorcaKartaType',
            'getLibrariesForLegalDeposits' => 'GetLibrariesForLegalDeposits',
            'getLibrariesForLegalDepositsResponse' => 'GetLibrariesForLegalDepositsResponse',
            'LibraryForLegalDepositType' => 'LibraryForLegalDepositType',
            'CustomsDeclarationType' => 'CustomsDeclarationType',
            'AccompanyingDocumentsType' => 'AccompanyingDocumentsType',
            'ShipmentContentsDetailsType' => 'ShipmentContentsDetailsType',
            'AddressType' => 'AddressType',
            'orderEasyReturnSolutionLabel' => 'OrderEasyReturnSolutionLabel',
            'orderEasyReturnSolutionLabelResponse' => 'OrderEasyReturnSolutionLabelResponse',
            'DeliveryMethodType' => 'DeliveryMethodType',
            'EmailDeliveryMethodType' => 'EmailDeliveryMethodType',
        );
    }
}
