<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for createChecklistTemplateResponse StructType
 * @subpackage Structs
 */
class CreateChecklistTemplateResponse extends AbstractStructBase
{
    /**
     * The checklistTemplate
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ChecklistTemplateType[]
     */
    public $checklistTemplate;
    /**
     * The error
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ErrorType[]
     */
    public $error;
    /**
     * Constructor method for createChecklistTemplateResponse
     * @uses CreateChecklistTemplateResponse::setChecklistTemplate()
     * @uses CreateChecklistTemplateResponse::setError()
     * @param ChecklistTemplateType[] $checklistTemplate
     * @param ErrorType[] $error
     */
    public function __construct(array $checklistTemplate = array(), array $error = array())
    {
        $this
            ->setChecklistTemplate($checklistTemplate)
            ->setError($error);
    }
    /**
     * Get checklistTemplate value
     * @return ChecklistTemplateType[]|null
     */
    public function getChecklistTemplate()
    {
        return $this->checklistTemplate;
    }
    /**
     * Set checklistTemplate value
     * @param ChecklistTemplateType[] $checklistTemplate
     * @return CreateChecklistTemplateResponse
     */
    public function setChecklistTemplate(array $checklistTemplate = array())
    {
        $this->checklistTemplate = $checklistTemplate;
        return $this;
    }
    /**
     * Add item to checklistTemplate value
     * @throws \InvalidArgumentException
     * @param ChecklistTemplateType $item
     * @return CreateChecklistTemplateResponse
     */
    public function addToChecklistTemplate(ChecklistTemplateType $item)
    {
        $this->checklistTemplate[] = $item;
        return $this;
    }
    /**
     * Get error value
     * @return ErrorType[]|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * Set error value
     * @param ErrorType[] $error
     * @return CreateChecklistTemplateResponse
     */
    public function setError(array $error = array())
    {
        $this->error = $error;
        return $this;
    }
    /**
     * Add item to error value
     * @throws \InvalidArgumentException
     * @param ErrorType $item
     * @return CreateChecklistTemplateResponse
     */
    public function addToError(ErrorType $item)
    {
        $this->error[] = $item;
        return $this;
    }
}
