<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for daneSentType StructType
 * @subpackage Structs
 */
class DaneSentType extends AbstractStructBase
{
    /**
     * The numer
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $numer;
    /**
     * The kluczPrzewoznika
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $kluczPrzewoznika;
    /**
     * The kodCN
     * Meta information extracted from the WSDL
     * - choice: kodCN | kodPKWiU
     * - choiceMaxOccurs: unbounded
     * - choiceMinOccurs: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $kodCN;
    /**
     * The kodPKWiU
     * Meta information extracted from the WSDL
     * - choice: kodCN | kodPKWiU
     * - choiceMaxOccurs: unbounded
     * - choiceMinOccurs: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $kodPKWiU;
    /**
     * The masa
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var float
     */
    public $masa;
    /**
     * The proceduraAwaryjna
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $proceduraAwaryjna;
    /**
     * Constructor method for daneSentType
     * @uses DaneSentType::setNumer()
     * @uses DaneSentType::setKluczPrzewoznika()
     * @uses DaneSentType::setKodCN()
     * @uses DaneSentType::setKodPKWiU()
     * @uses DaneSentType::setMasa()
     * @uses DaneSentType::setProceduraAwaryjna()
     * @param string $numer
     * @param string $kluczPrzewoznika
     * @param string $kodCN
     * @param string $kodPKWiU
     * @param float $masa
     * @param bool $proceduraAwaryjna
     */
    public function __construct($numer = null, $kluczPrzewoznika = null, $kodCN = null, $kodPKWiU = null, $masa = null, $proceduraAwaryjna = null)
    {
        $this
            ->setNumer($numer)
            ->setKluczPrzewoznika($kluczPrzewoznika)
            ->setKodCN($kodCN)
            ->setKodPKWiU($kodPKWiU)
            ->setMasa($masa)
            ->setProceduraAwaryjna($proceduraAwaryjna);
    }
    /**
     * Get numer value
     * @return string
     */
    public function getNumer()
    {
        return $this->numer;
    }
    /**
     * Set numer value
     * @param string $numer
     * @return DaneSentType
     */
    public function setNumer($numer = null)
    {
        $this->numer = $numer;
        return $this;
    }
    /**
     * Get kluczPrzewoznika value
     * @return string
     */
    public function getKluczPrzewoznika()
    {
        return $this->kluczPrzewoznika;
    }
    /**
     * Set kluczPrzewoznika value
     * @param string $kluczPrzewoznika
     * @return DaneSentType
     */
    public function setKluczPrzewoznika($kluczPrzewoznika = null)
    {
        $this->kluczPrzewoznika = $kluczPrzewoznika;
        return $this;
    }
    /**
     * Get kodCN value
     * @return string|null
     */
    public function getKodCN()
    {
        return isset($this->kodCN) ? $this->kodCN : null;
    }
    /**
     * Set kodCN value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $kodCN
     * @return DaneSentType
     */
    public function setKodCN($kodCN = null)
    {
        if (is_null($kodCN) || (is_array($kodCN) && empty($kodCN))) {
            unset($this->kodCN);
        } else {
            $this->kodCN = $kodCN;
        }
        return $this;
    }
    /**
     * Get kodPKWiU value
     * @return string|null
     */
    public function getKodPKWiU()
    {
        return isset($this->kodPKWiU) ? $this->kodPKWiU : null;
    }
    /**
     * Set kodPKWiU value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $kodPKWiU
     * @return DaneSentType
     */
    public function setKodPKWiU($kodPKWiU = null)
    {
        if (is_null($kodPKWiU) || (is_array($kodPKWiU) && empty($kodPKWiU))) {
            unset($this->kodPKWiU);
        } else {
            $this->kodPKWiU = $kodPKWiU;
        }
        return $this;
    }
    /**
     * Get masa value
     * @return float|null
     */
    public function getMasa()
    {
        return $this->masa;
    }
    /**
     * Set masa value
     * @param float $masa
     * @return DaneSentType
     */
    public function setMasa($masa = null)
    {
        $this->masa = $masa;
        return $this;
    }
    /**
     * Get proceduraAwaryjna value
     * @return bool|null
     */
    public function getProceduraAwaryjna()
    {
        return $this->proceduraAwaryjna;
    }
    /**
     * Set proceduraAwaryjna value
     * @param bool $proceduraAwaryjna
     * @return DaneSentType
     */
    public function setProceduraAwaryjna($proceduraAwaryjna = null)
    {
        $this->proceduraAwaryjna = $proceduraAwaryjna;
        return $this;
    }
}
