<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for downloadIWDContentResponse StructType
 * @subpackage Structs
 */
class DownloadIWDContentResponse extends AbstractStructBase
{
    /**
     * The IWDContent
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $IWDContent;
    /**
     * The error
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ErrorType[]
     */
    public $error;
    /**
     * Constructor method for downloadIWDContentResponse
     * @uses DownloadIWDContentResponse::setIWDContent()
     * @uses DownloadIWDContentResponse::setError()
     * @param string $iWDContent
     * @param ErrorType[] $error
     */
    public function __construct($iWDContent = null, array $error = array())
    {
        $this
            ->setIWDContent($iWDContent)
            ->setError($error);
    }
    /**
     * Get IWDContent value
     * @return string
     */
    public function getIWDContent()
    {
        return $this->IWDContent;
    }
    /**
     * Set IWDContent value
     * @param string $iWDContent
     * @return DownloadIWDContentResponse
     */
    public function setIWDContent($iWDContent = null)
    {
        $this->IWDContent = $iWDContent;
        return $this;
    }
    /**
     * Get error value
     * @return ErrorType[]|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * Set error value
     * @param ErrorType[] $error
     * @return DownloadIWDContentResponse
     */
    public function setError(array $error = array())
    {
        $this->error = $error;
        return $this;
    }
    /**
     * Add item to error value
     * @throws \InvalidArgumentException
     * @param ErrorType $item
     * @return DownloadIWDContentResponse
     */
    public function addToError(ErrorType $item)
    {
        $this->error[] = $item;
        return $this;
    }
}
