<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for envelopeInfoType StructType
 * @subpackage Structs
 */
class EnvelopeInfoType extends AbstractStructBase
{
    /**
     * The error
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ErrorType[]
     */
    public $error;
    /**
     * The envelopeFilename
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $envelopeFilename;
    /**
     * The idEnvelope
     * @var int
     */
    public $idEnvelope;
    /**
     * The envelopeStatus
     * @var string
     */
    public $envelopeStatus;
    /**
     * The dataTransmisji
     * @var string
     */
    public $dataTransmisji;
    /**
     * Constructor method for envelopeInfoType
     * @uses EnvelopeInfoType::setError()
     * @uses EnvelopeInfoType::setEnvelopeFilename()
     * @uses EnvelopeInfoType::setIdEnvelope()
     * @uses EnvelopeInfoType::setEnvelopeStatus()
     * @uses EnvelopeInfoType::setDataTransmisji()
     * @param ErrorType[] $error
     * @param string $envelopeFilename
     * @param int $idEnvelope
     * @param string $envelopeStatus
     * @param string $dataTransmisji
     */
    public function __construct(array $error = array(), $envelopeFilename = null, $idEnvelope = null, $envelopeStatus = null, $dataTransmisji = null)
    {
        $this
            ->setError($error)
            ->setEnvelopeFilename($envelopeFilename)
            ->setIdEnvelope($idEnvelope)
            ->setEnvelopeStatus($envelopeStatus)
            ->setDataTransmisji($dataTransmisji);
    }
    /**
     * Get error value
     * @return ErrorType[]|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * Set error value
     * @param ErrorType[] $error
     * @return EnvelopeInfoType
     */
    public function setError(array $error = array())
    {
        $this->error = $error;
        return $this;
    }
    /**
     * Add item to error value
     * @throws \InvalidArgumentException
     * @param ErrorType $item
     * @return EnvelopeInfoType
     */
    public function addToError(ErrorType $item)
    {
        $this->error[] = $item;
        return $this;
    }
    /**
     * Get envelopeFilename value
     * @return string|null
     */
    public function getEnvelopeFilename()
    {
        return $this->envelopeFilename;
    }
    /**
     * Set envelopeFilename value
     * @param string $envelopeFilename
     * @return EnvelopeInfoType
     */
    public function setEnvelopeFilename($envelopeFilename = null)
    {
        $this->envelopeFilename = $envelopeFilename;
        return $this;
    }
    /**
     * Get idEnvelope value
     * @return int|null
     */
    public function getIdEnvelope()
    {
        return $this->idEnvelope;
    }
    /**
     * Set idEnvelope value
     * @param int $idEnvelope
     * @return EnvelopeInfoType
     */
    public function setIdEnvelope($idEnvelope = null)
    {
        $this->idEnvelope = $idEnvelope;
        return $this;
    }
    /**
     * Get envelopeStatus value
     * @return string|null
     */
    public function getEnvelopeStatus()
    {
        return $this->envelopeStatus;
    }
    /**
     * Set envelopeStatus value
     * @param string $envelopeStatus
     * @return EnvelopeInfoType
     */
    public function setEnvelopeStatus($envelopeStatus = null)
    {
        $this->envelopeStatus = $envelopeStatus;
        return $this;
    }
    /**
     * Get dataTransmisji value
     * @return string|null
     */
    public function getDataTransmisji()
    {
        return $this->dataTransmisji;
    }
    /**
     * Set dataTransmisji value
     * @param string $dataTransmisji
     * @return EnvelopeInfoType
     */
    public function setDataTransmisji($dataTransmisji = null)
    {
        $this->dataTransmisji = $dataTransmisji;
        return $this;
    }
}
