<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for errorType StructType
 * @subpackage Structs
 */
class ErrorType extends AbstractStructBase
{
    /**
     * The errorNumber
     * Meta information extracted from the WSDL
     * - default: 0
     * - use: optional
     * @var int
     */
    public $errorNumber;
    /**
     * The errorDesc
     * Meta information extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $errorDesc;
    /**
     * The guid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - length: 32
     * - whiteSpace: collapse
     * @var string
     */
    public $guid;
    /**
     * Constructor method for errorType
     * @uses ErrorType::setErrorNumber()
     * @uses ErrorType::setErrorDesc()
     * @uses ErrorType::setGuid()
     * @param int $errorNumber
     * @param string $errorDesc
     * @param string $guid
     */
    public function __construct($errorNumber = 0, $errorDesc = null, $guid = null)
    {
        $this
            ->setErrorNumber($errorNumber)
            ->setErrorDesc($errorDesc)
            ->setGuid($guid);
    }
    /**
     * Get errorNumber value
     * @return int|null
     */
    public function getErrorNumber()
    {
        return $this->errorNumber;
    }
    /**
     * Set errorNumber value
     * @param int $errorNumber
     * @return ErrorType
     */
    public function setErrorNumber($errorNumber = 0)
    {
        $this->errorNumber = $errorNumber;
        return $this;
    }
    /**
     * Get errorDesc value
     * @return string|null
     */
    public function getErrorDesc()
    {
        return $this->errorDesc;
    }
    /**
     * Set errorDesc value
     * @param string $errorDesc
     * @return ErrorType
     */
    public function setErrorDesc($errorDesc = null)
    {
        $this->errorDesc = $errorDesc;
        return $this;
    }
    /**
     * Get guid value
     * @return string|null
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return ErrorType
     */
    public function setGuid($guid = null)
    {
        $this->guid = $guid;
        return $this;
    }
}
