<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getGuidResponse StructType
 * @subpackage Structs
 */
class GetGuidResponse extends AbstractStructBase
{
    /**
     * The guid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - length: 32
     * - maxOccurs: 100
     * - minOccurs: 1
     * - whiteSpace: collapse
     * @var string[]
     */
    public $guid;
    /**
     * Constructor method for getGuidResponse
     * @uses GetGuidResponse::setGuid()
     * @param string[] $guid
     */
    public function __construct(array $guid = array())
    {
        $this
            ->setGuid($guid);
    }
    /**
     * Get guid value
     * @return string[]
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string[] $guid
     * @return GetGuidResponse
     */
    public function setGuid(array $guid = array())
    {
        $this->guid = $guid;
        return $this;
    }
    /**
     * Add item to guid value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return GetGuidResponse
     */
    public function addToGuid($item)
    {
        $this->guid[] = $item;
        return $this;
    }
}
