<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getKierunkiResponse StructType
 * @subpackage Structs
 */
class GetKierunkiResponse extends AbstractStructBase
{
    /**
     * The kierunek
     * Meta information extracted from the WSDL
     * - maxOccurs: 1000
     * - minOccurs: 0
     * @var KierunekType[]
     */
    public $kierunek;
    /**
     * The error
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ErrorType[]
     */
    public $error;
    /**
     * Constructor method for getKierunkiResponse
     * @uses GetKierunkiResponse::setKierunek()
     * @uses GetKierunkiResponse::setError()
     * @param KierunekType[] $kierunek
     * @param ErrorType[] $error
     */
    public function __construct(array $kierunek = array(), array $error = array())
    {
        $this
            ->setKierunek($kierunek)
            ->setError($error);
    }
    /**
     * Get kierunek value
     * @return KierunekType[]|null
     */
    public function getKierunek()
    {
        return $this->kierunek;
    }
    /**
     * Set kierunek value
     * @param KierunekType[] $kierunek
     * @return GetKierunkiResponse
     */
    public function setKierunek(array $kierunek = array())
    {
        $this->kierunek = $kierunek;
        return $this;
    }
    /**
     * Add item to kierunek value
     * @throws \InvalidArgumentException
     * @param KierunekType $item
     * @return GetKierunkiResponse
     */
    public function addToKierunek(KierunekType $item)
    {
        $this->kierunek[] = $item;
        return $this;
    }
    /**
     * Get error value
     * @return ErrorType[]|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * Set error value
     * @param ErrorType[] $error
     * @return GetKierunkiResponse
     */
    public function setError(array $error = array())
    {
        $this->error = $error;
        return $this;
    }
    /**
     * Add item to error value
     * @throws \InvalidArgumentException
     * @param ErrorType $item
     * @return GetKierunkiResponse
     */
    public function addToError(ErrorType $item)
    {
        $this->error[] = $item;
        return $this;
    }
}
