<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getPrintForParcelResponse StructType
 * @subpackage Structs
 */
class GetPrintForParcelResponse extends AbstractStructBase
{
    /**
     * The printResult
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var PrintResultType[]
     */
    public $printResult;
    /**
     * The error
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ErrorType[]
     */
    public $error;
    /**
     * Constructor method for getPrintForParcelResponse
     * @uses GetPrintForParcelResponse::setPrintResult()
     * @uses GetPrintForParcelResponse::setError()
     * @param PrintResultType[] $printResult
     * @param ErrorType[] $error
     */
    public function __construct(array $printResult = array(), array $error = array())
    {
        $this
            ->setPrintResult($printResult)
            ->setError($error);
    }
    /**
     * Get printResult value
     * @return PrintResultType[]|null
     */
    public function getPrintResult()
    {
        return $this->printResult;
    }
    /**
     * Set printResult value
     * @param PrintResultType[] $printResult
     * @return GetPrintForParcelResponse
     */
    public function setPrintResult(array $printResult = array())
    {
        $this->printResult = $printResult;
        return $this;
    }
    /**
     * Add item to printResult value
     * @throws \InvalidArgumentException
     * @param PrintResultType $item
     * @return GetPrintForParcelResponse
     */
    public function addToPrintResult(PrintResultType $item)
    {
        $this->printResult[] = $item;
        return $this;
    }
    /**
     * Get error value
     * @return ErrorType[]|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * Set error value
     * @param ErrorType[] $error
     * @return GetPrintForParcelResponse
     */
    public function setError(array $error = array())
    {
        $this->error = $error;
        return $this;
    }
    /**
     * Add item to error value
     * @throws \InvalidArgumentException
     * @param ErrorType $item
     * @return GetPrintForParcelResponse
     */
    public function addToError(ErrorType $item)
    {
        $this->error[] = $item;
        return $this;
    }
}
