<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for placowkaPocztowaType StructType
 * @subpackage Structs
 */
class PlacowkaPocztowaType extends AbstractStructBase
{
    /**
     * The id
     * Meta information extracted from the WSDL
     * - use: required
     * @var int
     */
    public $id;
    /**
     * The lokalizacjaGeograficzna
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var LokalizacjaGeograficznaType
     */
    public $lokalizacjaGeograficzna;
    /**
     * The godzinyPracy
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var GodzinyPracyType
     */
    public $godzinyPracy;
    /**
     * The prefixNazwy
     * @var string
     */
    public $prefixNazwy;
    /**
     * The nazwa
     * @var string
     */
    public $nazwa;
    /**
     * The wojewodztwo
     * Meta information extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $wojewodztwo;
    /**
     * The powiat
     * Meta information extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $powiat;
    /**
     * The miejsce
     * @var string
     */
    public $miejsce;
    /**
     * The kodPocztowy
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - length: 5
     * @var string
     */
    public $kodPocztowy;
    /**
     * The miejscowosc
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 30
     * - minLength: 0
     * @var string
     */
    public $miejscowosc;
    /**
     * The ulica
     * @var string
     */
    public $ulica;
    /**
     * The numerDomu
     * @var string
     */
    public $numerDomu;
    /**
     * The numerLokalu
     * @var string
     */
    public $numerLokalu;
    /**
     * The nazwaWydruk
     * Meta information extracted from the WSDL
     * - documentation: Pole dedykowane do wykorzystania na nalepkach adresowych przy określaniu punktu odbioru
     * @var string
     */
    public $nazwaWydruk;
    /**
     * The punktWydaniaEPrzesylki
     * @var bool
     */
    public $punktWydaniaEPrzesylki;
    /**
     * The powiadomienieSMS
     * @var bool
     */
    public $powiadomienieSMS;
    /**
     * The punktWydaniaPrzesylkiBiznesowejPlus
     * @var bool
     */
    public $punktWydaniaPrzesylkiBiznesowejPlus;
    /**
     * The punktWydaniaPrzesylkiBiznesowej
     * @var bool
     */
    public $punktWydaniaPrzesylkiBiznesowej;
    /**
     * The siecPlacowek
     * Meta information extracted from the WSDL
     * - documentation: Określa do jakiej sieci należy placówka pocztowa. Zastrzegamy prawo do zmiany w/w listy placówek w każdym momencie. Na dzień 2019-09-13 dostępne wartości to: POCZTAPOLSKA, ORLEN, RUCH, ZABKA, FRESHMARKET, AUTOMAT BIEDRONKA,
     * AUTOMAT CARREFOUR, AUTOMAT PLACOWKA, AUTOMAT POCZTOWY, AUTOMAT SPOLEM, AUTOMAT LEWIATAN
     * - base: xsd:string
     * @var string
     */
    public $siecPlacowek;
    /**
     * The idZPO
     * @var string
     */
    public $idZPO;
    /**
     * Constructor method for placowkaPocztowaType
     * @uses PlacowkaPocztowaType::setId()
     * @uses PlacowkaPocztowaType::setLokalizacjaGeograficzna()
     * @uses PlacowkaPocztowaType::setGodzinyPracy()
     * @uses PlacowkaPocztowaType::setPrefixNazwy()
     * @uses PlacowkaPocztowaType::setNazwa()
     * @uses PlacowkaPocztowaType::setWojewodztwo()
     * @uses PlacowkaPocztowaType::setPowiat()
     * @uses PlacowkaPocztowaType::setMiejsce()
     * @uses PlacowkaPocztowaType::setKodPocztowy()
     * @uses PlacowkaPocztowaType::setMiejscowosc()
     * @uses PlacowkaPocztowaType::setUlica()
     * @uses PlacowkaPocztowaType::setNumerDomu()
     * @uses PlacowkaPocztowaType::setNumerLokalu()
     * @uses PlacowkaPocztowaType::setNazwaWydruk()
     * @uses PlacowkaPocztowaType::setPunktWydaniaEPrzesylki()
     * @uses PlacowkaPocztowaType::setPowiadomienieSMS()
     * @uses PlacowkaPocztowaType::setPunktWydaniaPrzesylkiBiznesowejPlus()
     * @uses PlacowkaPocztowaType::setPunktWydaniaPrzesylkiBiznesowej()
     * @uses PlacowkaPocztowaType::setSiecPlacowek()
     * @uses PlacowkaPocztowaType::setIdZPO()
     * @param int $id
     * @param LokalizacjaGeograficznaType $lokalizacjaGeograficzna
     * @param GodzinyPracyType $godzinyPracy
     * @param string $prefixNazwy
     * @param string $nazwa
     * @param string $wojewodztwo
     * @param string $powiat
     * @param string $miejsce
     * @param string $kodPocztowy
     * @param string $miejscowosc
     * @param string $ulica
     * @param string $numerDomu
     * @param string $numerLokalu
     * @param string $nazwaWydruk
     * @param bool $punktWydaniaEPrzesylki
     * @param bool $powiadomienieSMS
     * @param bool $punktWydaniaPrzesylkiBiznesowejPlus
     * @param bool $punktWydaniaPrzesylkiBiznesowej
     * @param string $siecPlacowek
     * @param string $idZPO
     */
    public function __construct($id = null, LokalizacjaGeograficznaType $lokalizacjaGeograficzna = null, GodzinyPracyType $godzinyPracy = null, $prefixNazwy = null, $nazwa = null, $wojewodztwo = null, $powiat = null, $miejsce = null, $kodPocztowy = null, $miejscowosc = null, $ulica = null, $numerDomu = null, $numerLokalu = null, $nazwaWydruk = null, $punktWydaniaEPrzesylki = null, $powiadomienieSMS = null, $punktWydaniaPrzesylkiBiznesowejPlus = null, $punktWydaniaPrzesylkiBiznesowej = null, $siecPlacowek = null, $idZPO = null)
    {
        $this
            ->setId($id)
            ->setLokalizacjaGeograficzna($lokalizacjaGeograficzna)
            ->setGodzinyPracy($godzinyPracy)
            ->setPrefixNazwy($prefixNazwy)
            ->setNazwa($nazwa)
            ->setWojewodztwo($wojewodztwo)
            ->setPowiat($powiat)
            ->setMiejsce($miejsce)
            ->setKodPocztowy($kodPocztowy)
            ->setMiejscowosc($miejscowosc)
            ->setUlica($ulica)
            ->setNumerDomu($numerDomu)
            ->setNumerLokalu($numerLokalu)
            ->setNazwaWydruk($nazwaWydruk)
            ->setPunktWydaniaEPrzesylki($punktWydaniaEPrzesylki)
            ->setPowiadomienieSMS($powiadomienieSMS)
            ->setPunktWydaniaPrzesylkiBiznesowejPlus($punktWydaniaPrzesylkiBiznesowejPlus)
            ->setPunktWydaniaPrzesylkiBiznesowej($punktWydaniaPrzesylkiBiznesowej)
            ->setSiecPlacowek($siecPlacowek)
            ->setIdZPO($idZPO);
    }
    /**
     * Get id value
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param int $id
     * @return PlacowkaPocztowaType
     */
    public function setId($id = null)
    {
        $this->id = $id;
        return $this;
    }
    /**
     * Get lokalizacjaGeograficzna value
     * @return LokalizacjaGeograficznaType|null
     */
    public function getLokalizacjaGeograficzna()
    {
        return $this->lokalizacjaGeograficzna;
    }
    /**
     * Set lokalizacjaGeograficzna value
     * @param LokalizacjaGeograficznaType $lokalizacjaGeograficzna
     * @return PlacowkaPocztowaType
     */
    public function setLokalizacjaGeograficzna(LokalizacjaGeograficznaType $lokalizacjaGeograficzna = null)
    {
        $this->lokalizacjaGeograficzna = $lokalizacjaGeograficzna;
        return $this;
    }
    /**
     * Get godzinyPracy value
     * @return GodzinyPracyType|null
     */
    public function getGodzinyPracy()
    {
        return $this->godzinyPracy;
    }
    /**
     * Set godzinyPracy value
     * @param GodzinyPracyType $godzinyPracy
     * @return PlacowkaPocztowaType
     */
    public function setGodzinyPracy(GodzinyPracyType $godzinyPracy = null)
    {
        $this->godzinyPracy = $godzinyPracy;
        return $this;
    }
    /**
     * Get prefixNazwy value
     * @return string|null
     */
    public function getPrefixNazwy()
    {
        return $this->prefixNazwy;
    }
    /**
     * Set prefixNazwy value
     * @param string $prefixNazwy
     * @return PlacowkaPocztowaType
     */
    public function setPrefixNazwy($prefixNazwy = null)
    {
        $this->prefixNazwy = $prefixNazwy;
        return $this;
    }
    /**
     * Get nazwa value
     * @return string|null
     */
    public function getNazwa()
    {
        return $this->nazwa;
    }
    /**
     * Set nazwa value
     * @param string $nazwa
     * @return PlacowkaPocztowaType
     */
    public function setNazwa($nazwa = null)
    {
        $this->nazwa = $nazwa;
        return $this;
    }
    /**
     * Get wojewodztwo value
     * @return string|null
     */
    public function getWojewodztwo()
    {
        return $this->wojewodztwo;
    }
    /**
     * Set wojewodztwo value
     * @param string $wojewodztwo
     * @return PlacowkaPocztowaType
     */
    public function setWojewodztwo($wojewodztwo = null)
    {
        $this->wojewodztwo = $wojewodztwo;
        return $this;
    }
    /**
     * Get powiat value
     * @return string|null
     */
    public function getPowiat()
    {
        return $this->powiat;
    }
    /**
     * Set powiat value
     * @param string $powiat
     * @return PlacowkaPocztowaType
     */
    public function setPowiat($powiat = null)
    {
        $this->powiat = $powiat;
        return $this;
    }
    /**
     * Get miejsce value
     * @return string|null
     */
    public function getMiejsce()
    {
        return $this->miejsce;
    }
    /**
     * Set miejsce value
     * @param string $miejsce
     * @return PlacowkaPocztowaType
     */
    public function setMiejsce($miejsce = null)
    {
        $this->miejsce = $miejsce;
        return $this;
    }
    /**
     * Get kodPocztowy value
     * @return string|null
     */
    public function getKodPocztowy()
    {
        return $this->kodPocztowy;
    }
    /**
     * Set kodPocztowy value
     * @param string $kodPocztowy
     * @return PlacowkaPocztowaType
     */
    public function setKodPocztowy($kodPocztowy = null)
    {
        $this->kodPocztowy = $kodPocztowy;
        return $this;
    }
    /**
     * Get miejscowosc value
     * @return string|null
     */
    public function getMiejscowosc()
    {
        return $this->miejscowosc;
    }
    /**
     * Set miejscowosc value
     * @param string $miejscowosc
     * @return PlacowkaPocztowaType
     */
    public function setMiejscowosc($miejscowosc = null)
    {
        $this->miejscowosc = $miejscowosc;
        return $this;
    }
    /**
     * Get ulica value
     * @return string|null
     */
    public function getUlica()
    {
        return $this->ulica;
    }
    /**
     * Set ulica value
     * @param string $ulica
     * @return PlacowkaPocztowaType
     */
    public function setUlica($ulica = null)
    {
        $this->ulica = $ulica;
        return $this;
    }
    /**
     * Get numerDomu value
     * @return string|null
     */
    public function getNumerDomu()
    {
        return $this->numerDomu;
    }
    /**
     * Set numerDomu value
     * @param string $numerDomu
     * @return PlacowkaPocztowaType
     */
    public function setNumerDomu($numerDomu = null)
    {
        $this->numerDomu = $numerDomu;
        return $this;
    }
    /**
     * Get numerLokalu value
     * @return string|null
     */
    public function getNumerLokalu()
    {
        return $this->numerLokalu;
    }
    /**
     * Set numerLokalu value
     * @param string $numerLokalu
     * @return PlacowkaPocztowaType
     */
    public function setNumerLokalu($numerLokalu = null)
    {
        $this->numerLokalu = $numerLokalu;
        return $this;
    }
    /**
     * Get nazwaWydruk value
     * @return string|null
     */
    public function getNazwaWydruk()
    {
        return $this->nazwaWydruk;
    }
    /**
     * Set nazwaWydruk value
     * @param string $nazwaWydruk
     * @return PlacowkaPocztowaType
     */
    public function setNazwaWydruk($nazwaWydruk = null)
    {
        $this->nazwaWydruk = $nazwaWydruk;
        return $this;
    }
    /**
     * Get punktWydaniaEPrzesylki value
     * @return bool|null
     */
    public function getPunktWydaniaEPrzesylki()
    {
        return $this->punktWydaniaEPrzesylki;
    }
    /**
     * Set punktWydaniaEPrzesylki value
     * @param bool $punktWydaniaEPrzesylki
     * @return PlacowkaPocztowaType
     */
    public function setPunktWydaniaEPrzesylki($punktWydaniaEPrzesylki = null)
    {
        $this->punktWydaniaEPrzesylki = $punktWydaniaEPrzesylki;
        return $this;
    }
    /**
     * Get powiadomienieSMS value
     * @return bool|null
     */
    public function getPowiadomienieSMS()
    {
        return $this->powiadomienieSMS;
    }
    /**
     * Set powiadomienieSMS value
     * @param bool $powiadomienieSMS
     * @return PlacowkaPocztowaType
     */
    public function setPowiadomienieSMS($powiadomienieSMS = null)
    {
        $this->powiadomienieSMS = $powiadomienieSMS;
        return $this;
    }
    /**
     * Get punktWydaniaPrzesylkiBiznesowejPlus value
     * @return bool|null
     */
    public function getPunktWydaniaPrzesylkiBiznesowejPlus()
    {
        return $this->punktWydaniaPrzesylkiBiznesowejPlus;
    }
    /**
     * Set punktWydaniaPrzesylkiBiznesowejPlus value
     * @param bool $punktWydaniaPrzesylkiBiznesowejPlus
     * @return PlacowkaPocztowaType
     */
    public function setPunktWydaniaPrzesylkiBiznesowejPlus($punktWydaniaPrzesylkiBiznesowejPlus = null)
    {
        $this->punktWydaniaPrzesylkiBiznesowejPlus = $punktWydaniaPrzesylkiBiznesowejPlus;
        return $this;
    }
    /**
     * Get punktWydaniaPrzesylkiBiznesowej value
     * @return bool|null
     */
    public function getPunktWydaniaPrzesylkiBiznesowej()
    {
        return $this->punktWydaniaPrzesylkiBiznesowej;
    }
    /**
     * Set punktWydaniaPrzesylkiBiznesowej value
     * @param bool $punktWydaniaPrzesylkiBiznesowej
     * @return PlacowkaPocztowaType
     */
    public function setPunktWydaniaPrzesylkiBiznesowej($punktWydaniaPrzesylkiBiznesowej = null)
    {
        $this->punktWydaniaPrzesylkiBiznesowej = $punktWydaniaPrzesylkiBiznesowej;
        return $this;
    }
    /**
     * Get siecPlacowek value
     * @return string|null
     */
    public function getSiecPlacowek()
    {
        return $this->siecPlacowek;
    }
    /**
     * Set siecPlacowek value
     * @param string $siecPlacowek
     * @return PlacowkaPocztowaType
     */
    public function setSiecPlacowek($siecPlacowek = null)
    {
        $this->siecPlacowek = $siecPlacowek;
        return $this;
    }
    /**
     * Get idZPO value
     * @return string|null
     */
    public function getIdZPO()
    {
        return $this->idZPO;
    }
    /**
     * Set idZPO value
     * @param string $idZPO
     * @return PlacowkaPocztowaType
     */
    public function setIdZPO($idZPO = null)
    {
        $this->idZPO = $idZPO;
        return $this;
    }
}
