<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for pobranieType StructType
 * @subpackage Structs
 */
class PobranieType extends AbstractStructBase
{
    /**
     * The sposobPobrania
     * @var string
     */
    public $sposobPobrania;
    /**
     * The kwotaPobrania
     * Meta information extracted from the WSDL
     * - documentation: kwota jaką należy pobrać podana w groszach
     * - base: xsd:int
     * - maxInclusive: 9999999
     * - minInclusive: 0
     * @var int
     */
    public $kwotaPobrania;
    /**
     * The nrb
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 26
     * - minLength: 0
     * @var string
     */
    public $nrb;
    /**
     * The tytulem
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 54
     * - minLength: 0
     * @var string
     */
    public $tytulem;
    /**
     * The sprawdzenieZawartosciPrzesylkiPrzezOdbiorce
     * @var bool
     */
    public $sprawdzenieZawartosciPrzesylkiPrzezOdbiorce;
    /**
     * Constructor method for pobranieType
     * @uses PobranieType::setSposobPobrania()
     * @uses PobranieType::setKwotaPobrania()
     * @uses PobranieType::setNrb()
     * @uses PobranieType::setTytulem()
     * @uses PobranieType::setSprawdzenieZawartosciPrzesylkiPrzezOdbiorce()
     * @param string $sposobPobrania
     * @param int $kwotaPobrania
     * @param string $nrb
     * @param string $tytulem
     * @param bool $sprawdzenieZawartosciPrzesylkiPrzezOdbiorce
     */
    public function __construct($sposobPobrania = null, $kwotaPobrania = null, $nrb = null, $tytulem = null, $sprawdzenieZawartosciPrzesylkiPrzezOdbiorce = null)
    {
        $this
            ->setSposobPobrania($sposobPobrania)
            ->setKwotaPobrania($kwotaPobrania)
            ->setNrb($nrb)
            ->setTytulem($tytulem)
            ->setSprawdzenieZawartosciPrzesylkiPrzezOdbiorce($sprawdzenieZawartosciPrzesylkiPrzezOdbiorce);
    }
    /**
     * Get sposobPobrania value
     * @return string|null
     */
    public function getSposobPobrania()
    {
        return $this->sposobPobrania;
    }
    /**
     * Set sposobPobrania value
     * @param string $sposobPobrania
     * @return PobranieType
     */
    public function setSposobPobrania($sposobPobrania = null)
    {
        $this->sposobPobrania = $sposobPobrania;
        return $this;
    }
    /**
     * Get kwotaPobrania value
     * @return int|null
     */
    public function getKwotaPobrania()
    {
        return $this->kwotaPobrania;
    }
    /**
     * Set kwotaPobrania value
     * @param int $kwotaPobrania
     * @return PobranieType
     */
    public function setKwotaPobrania($kwotaPobrania = null)
    {
        $this->kwotaPobrania = $kwotaPobrania;
        return $this;
    }
    /**
     * Get nrb value
     * @return string|null
     */
    public function getNrb()
    {
        return $this->nrb;
    }
    /**
     * Set nrb value
     * @param string $nrb
     * @return PobranieType
     */
    public function setNrb($nrb = null)
    {
        $this->nrb = $nrb;
        return $this;
    }
    /**
     * Get tytulem value
     * @return string|null
     */
    public function getTytulem()
    {
        return $this->tytulem;
    }
    /**
     * Set tytulem value
     * @param string $tytulem
     * @return PobranieType
     */
    public function setTytulem($tytulem = null)
    {
        $this->tytulem = $tytulem;
        return $this;
    }
    /**
     * Get sprawdzenieZawartosciPrzesylkiPrzezOdbiorce value
     * @return bool|null
     */
    public function getSprawdzenieZawartosciPrzesylkiPrzezOdbiorce()
    {
        return $this->sprawdzenieZawartosciPrzesylkiPrzezOdbiorce;
    }
    /**
     * Set sprawdzenieZawartosciPrzesylkiPrzezOdbiorce value
     * @param bool $sprawdzenieZawartosciPrzesylkiPrzezOdbiorce
     * @return PobranieType
     */
    public function setSprawdzenieZawartosciPrzesylkiPrzezOdbiorce($sprawdzenieZawartosciPrzesylkiPrzezOdbiorce = null)
    {
        $this->sprawdzenieZawartosciPrzesylkiPrzezOdbiorce = $sprawdzenieZawartosciPrzesylkiPrzezOdbiorce;
        return $this;
    }
}
