<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for returnDocumentProfileType StructType
 * Meta information extracted from the WSDL
 * - documentation: Returned during getting list of profiles
 * @subpackage Structs
 */
class ReturnDocumentProfileType extends AbstractStructBase
{
    /**
     * The idProfile
     * Meta information extracted from the WSDL
     * - documentation: Required during updating profile. Returned during getting list of profiles.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $idProfile;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 120
     * @var string
     */
    public $name;
    /**
     * The name2
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 120
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name2;
    /**
     * The friendlyName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 20
     * @var string
     */
    public $friendlyName;
    /**
     * The street
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 70
     * @var string
     */
    public $street;
    /**
     * The houseNumber
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 11
     * @var string
     */
    public $houseNumber;
    /**
     * The premisesNumber
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 11
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $premisesNumber;
    /**
     * The city
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 35
     * @var string
     */
    public $city;
    /**
     * The postalCode
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 5
     * - whiteSpace: collapse
     * @var string
     */
    public $postalCode;
    /**
     * The mobile
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 9
     * - maxOccurs: 1
     * - minOccurs: 0
     * - whiteSpace: collapse
     * @var string
     */
    public $mobile;
    /**
     * The phonenumber
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 9
     * - maxOccurs: 1
     * - minOccurs: 0
     * - whiteSpace: collapse
     * @var string
     */
    public $phonenumber;
    /**
     * The email
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $email;
    /**
     * The default
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $default;
    /**
     * Constructor method for returnDocumentProfileType
     * @uses ReturnDocumentProfileType::setIdProfile()
     * @uses ReturnDocumentProfileType::setName()
     * @uses ReturnDocumentProfileType::setName2()
     * @uses ReturnDocumentProfileType::setFriendlyName()
     * @uses ReturnDocumentProfileType::setStreet()
     * @uses ReturnDocumentProfileType::setHouseNumber()
     * @uses ReturnDocumentProfileType::setPremisesNumber()
     * @uses ReturnDocumentProfileType::setCity()
     * @uses ReturnDocumentProfileType::setPostalCode()
     * @uses ReturnDocumentProfileType::setMobile()
     * @uses ReturnDocumentProfileType::setPhonenumber()
     * @uses ReturnDocumentProfileType::setEmail()
     * @uses ReturnDocumentProfileType::setDefault()
     * @param int $idProfile
     * @param string $name
     * @param string $name2
     * @param string $friendlyName
     * @param string $street
     * @param string $houseNumber
     * @param string $premisesNumber
     * @param string $city
     * @param string $postalCode
     * @param string $mobile
     * @param string $phonenumber
     * @param string $email
     * @param bool $default
     */
    public function __construct($idProfile = null, $name = null, $name2 = null, $friendlyName = null, $street = null, $houseNumber = null, $premisesNumber = null, $city = null, $postalCode = null, $mobile = null, $phonenumber = null, $email = null, $default = null)
    {
        $this
            ->setIdProfile($idProfile)
            ->setName($name)
            ->setName2($name2)
            ->setFriendlyName($friendlyName)
            ->setStreet($street)
            ->setHouseNumber($houseNumber)
            ->setPremisesNumber($premisesNumber)
            ->setCity($city)
            ->setPostalCode($postalCode)
            ->setMobile($mobile)
            ->setPhonenumber($phonenumber)
            ->setEmail($email)
            ->setDefault($default);
    }
    /**
     * Get idProfile value
     * @return int|null
     */
    public function getIdProfile()
    {
        return $this->idProfile;
    }
    /**
     * Set idProfile value
     * @param int $idProfile
     * @return ReturnDocumentProfileType
     */
    public function setIdProfile($idProfile = null)
    {
        $this->idProfile = $idProfile;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return ReturnDocumentProfileType
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get name2 value
     * @return string|null
     */
    public function getName2()
    {
        return $this->name2;
    }
    /**
     * Set name2 value
     * @param string $name2
     * @return ReturnDocumentProfileType
     */
    public function setName2($name2 = null)
    {
        $this->name2 = $name2;
        return $this;
    }
    /**
     * Get friendlyName value
     * @return string|null
     */
    public function getFriendlyName()
    {
        return $this->friendlyName;
    }
    /**
     * Set friendlyName value
     * @param string $friendlyName
     * @return ReturnDocumentProfileType
     */
    public function setFriendlyName($friendlyName = null)
    {
        $this->friendlyName = $friendlyName;
        return $this;
    }
    /**
     * Get street value
     * @return string|null
     */
    public function getStreet()
    {
        return $this->street;
    }
    /**
     * Set street value
     * @param string $street
     * @return ReturnDocumentProfileType
     */
    public function setStreet($street = null)
    {
        $this->street = $street;
        return $this;
    }
    /**
     * Get houseNumber value
     * @return string|null
     */
    public function getHouseNumber()
    {
        return $this->houseNumber;
    }
    /**
     * Set houseNumber value
     * @param string $houseNumber
     * @return ReturnDocumentProfileType
     */
    public function setHouseNumber($houseNumber = null)
    {
        $this->houseNumber = $houseNumber;
        return $this;
    }
    /**
     * Get premisesNumber value
     * @return string|null
     */
    public function getPremisesNumber()
    {
        return $this->premisesNumber;
    }
    /**
     * Set premisesNumber value
     * @param string $premisesNumber
     * @return ReturnDocumentProfileType
     */
    public function setPremisesNumber($premisesNumber = null)
    {
        $this->premisesNumber = $premisesNumber;
        return $this;
    }
    /**
     * Get city value
     * @return string|null
     */
    public function getCity()
    {
        return $this->city;
    }
    /**
     * Set city value
     * @param string $city
     * @return ReturnDocumentProfileType
     */
    public function setCity($city = null)
    {
        $this->city = $city;
        return $this;
    }
    /**
     * Get postalCode value
     * @return string|null
     */
    public function getPostalCode()
    {
        return $this->postalCode;
    }
    /**
     * Set postalCode value
     * @param string $postalCode
     * @return ReturnDocumentProfileType
     */
    public function setPostalCode($postalCode = null)
    {
        $this->postalCode = $postalCode;
        return $this;
    }
    /**
     * Get mobile value
     * @return string|null
     */
    public function getMobile()
    {
        return $this->mobile;
    }
    /**
     * Set mobile value
     * @param string $mobile
     * @return ReturnDocumentProfileType
     */
    public function setMobile($mobile = null)
    {
        $this->mobile = $mobile;
        return $this;
    }
    /**
     * Get phonenumber value
     * @return string|null
     */
    public function getPhonenumber()
    {
        return $this->phonenumber;
    }
    /**
     * Set phonenumber value
     * @param string $phonenumber
     * @return ReturnDocumentProfileType
     */
    public function setPhonenumber($phonenumber = null)
    {
        $this->phonenumber = $phonenumber;
        return $this;
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $email
     * @return ReturnDocumentProfileType
     */
    public function setEmail($email = null)
    {
        $this->email = $email;
        return $this;
    }
    /**
     * Get default value
     * @return bool|null
     */
    public function getDefault()
    {
        return $this->default;
    }
    /**
     * Set default value
     * @param bool $default
     * @return ReturnDocumentProfileType
     */
    public function setDefault($default = null)
    {
        $this->default = $default;
        return $this;
    }
}
