<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for shopEZwrotyType StructType
 * @subpackage Structs
 */
class ShopEZwrotyType extends AbstractStructBase
{
    /**
     * The eZwrotPrzesylki
     * Meta information extracted from the WSDL
     * - maxOccurs: 2
     * - minOccurs: 1
     * @var string[]
     */
    public $eZwrotPrzesylki;
    /**
     * The nazwa
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 60
     * - minLength: 1
     * - use: required
     * - whiteSpace: collapse
     * @var string
     */
    public $nazwa;
    /**
     * The przyjaznaNazwa
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 60
     * - minLength: 1
     * - use: required
     * - whiteSpace: collapse
     * @var string
     */
    public $przyjaznaNazwa;
    /**
     * The ulica
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - minLength: 1
     * - use: required
     * - whiteSpace: collapse
     * @var string
     */
    public $ulica;
    /**
     * The numerDomu
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 11
     * - minLength: 0
     * - use: required
     * - whiteSpace: collapse
     * @var string
     */
    public $numerDomu;
    /**
     * The miejscowosc
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 63
     * - minLength: 1
     * - use: required
     * - whiteSpace: collapse
     * @var string
     */
    public $miejscowosc;
    /**
     * The kodPocztowy
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 10
     * - minLength: 0
     * - use: required
     * - whiteSpace: collapse
     * @var string
     */
    public $kodPocztowy;
    /**
     * The mobile
     * Meta information extracted from the WSDL
     * - documentation: źródło danych: http://www.uke.gov.pl/tablice/NumerPlmn-list.do?execution=e5s1 -- wygenerowano 2017-10-13 14:29:07
     * - base: xsd:string
     * - length: 9
     * - pattern: (45|50|51|53|57|60|66|69|72|73|78|79|88)[0-9]{7}
     * - use: required
     * @var string
     */
    public $mobile;
    /**
     * The email
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - minLength: 6
     * - use: required
     * @var string
     */
    public $email;
    /**
     * The eZwrotKarta
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var EZwrotKartaType
     */
    public $eZwrotKarta;
    /**
     * The idShop
     * @var int
     */
    public $idShop;
    /**
     * The nazwa2
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 60
     * - minLength: 1
     * - use: optional
     * - whiteSpace: collapse
     * @var string
     */
    public $nazwa2;
    /**
     * The numerLokalu
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 11
     * - minLength: 0
     * - use: optional
     * - whiteSpace: collapse
     * @var string
     */
    public $numerLokalu;
    /**
     * The nip
     * Meta information extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $nip;
    /**
     * The regon
     * @var string
     */
    public $regon;
    /**
     * The krs
     * @var string
     */
    public $krs;
    /**
     * The eZwrotTyp
     * @var string
     */
    public $eZwrotTyp;
    /**
     * The wymagalnoscNumeruIdentyfikujacegoPrzesylke
     * @var string
     */
    public $wymagalnoscNumeruIdentyfikujacegoPrzesylke;
    /**
     * The availableOnWebsite
     * Meta information extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $availableOnWebsite;
    /**
     * The emailForEZwrot
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - minLength: 6
     * - use: optional
     * @var string
     */
    public $emailForEZwrot;
    /**
     * The paid
     * Meta information extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $paid;
    /**
     * The consentValidFor
     * Meta information extracted from the WSDL
     * - documentation: The number of days by which consent to ezwrot is valid
     * - use: optional
     * @var int
     */
    public $consentValidFor;
    /**
     * The contractorCost
     * Meta information extracted from the WSDL
     * - documentation: Cost in gr (0.01 PLN)
     * - use: optional
     * @var int
     */
    public $contractorCost;
    /**
     * The infoForClient
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 300
     * - use: optional
     * @var string
     */
    public $infoForClient;
    /**
     * Constructor method for shopEZwrotyType
     * @uses ShopEZwrotyType::setEZwrotPrzesylki()
     * @uses ShopEZwrotyType::setNazwa()
     * @uses ShopEZwrotyType::setPrzyjaznaNazwa()
     * @uses ShopEZwrotyType::setUlica()
     * @uses ShopEZwrotyType::setNumerDomu()
     * @uses ShopEZwrotyType::setMiejscowosc()
     * @uses ShopEZwrotyType::setKodPocztowy()
     * @uses ShopEZwrotyType::setMobile()
     * @uses ShopEZwrotyType::setEmail()
     * @uses ShopEZwrotyType::setEZwrotKarta()
     * @uses ShopEZwrotyType::setIdShop()
     * @uses ShopEZwrotyType::setNazwa2()
     * @uses ShopEZwrotyType::setNumerLokalu()
     * @uses ShopEZwrotyType::setNip()
     * @uses ShopEZwrotyType::setRegon()
     * @uses ShopEZwrotyType::setKrs()
     * @uses ShopEZwrotyType::setEZwrotTyp()
     * @uses ShopEZwrotyType::setWymagalnoscNumeruIdentyfikujacegoPrzesylke()
     * @uses ShopEZwrotyType::setAvailableOnWebsite()
     * @uses ShopEZwrotyType::setEmailForEZwrot()
     * @uses ShopEZwrotyType::setPaid()
     * @uses ShopEZwrotyType::setConsentValidFor()
     * @uses ShopEZwrotyType::setContractorCost()
     * @uses ShopEZwrotyType::setInfoForClient()
     * @param string[] $eZwrotPrzesylki
     * @param string $nazwa
     * @param string $przyjaznaNazwa
     * @param string $ulica
     * @param string $numerDomu
     * @param string $miejscowosc
     * @param string $kodPocztowy
     * @param string $mobile
     * @param string $email
     * @param EZwrotKartaType $eZwrotKarta
     * @param int $idShop
     * @param string $nazwa2
     * @param string $numerLokalu
     * @param string $nip
     * @param string $regon
     * @param string $krs
     * @param string $eZwrotTyp
     * @param string $wymagalnoscNumeruIdentyfikujacegoPrzesylke
     * @param bool $availableOnWebsite
     * @param string $emailForEZwrot
     * @param bool $paid
     * @param int $consentValidFor
     * @param int $contractorCost
     * @param string $infoForClient
     */
    public function __construct(array $eZwrotPrzesylki = array(), $nazwa = null, $przyjaznaNazwa = null, $ulica = null, $numerDomu = null, $miejscowosc = null, $kodPocztowy = null, $mobile = null, $email = null, EZwrotKartaType $eZwrotKarta = null, $idShop = null, $nazwa2 = null, $numerLokalu = null, $nip = null, $regon = null, $krs = null, $eZwrotTyp = null, $wymagalnoscNumeruIdentyfikujacegoPrzesylke = null, $availableOnWebsite = null, $emailForEZwrot = null, $paid = null, $consentValidFor = null, $contractorCost = null, $infoForClient = null)
    {
        $this
            ->setEZwrotPrzesylki($eZwrotPrzesylki)
            ->setNazwa($nazwa)
            ->setPrzyjaznaNazwa($przyjaznaNazwa)
            ->setUlica($ulica)
            ->setNumerDomu($numerDomu)
            ->setMiejscowosc($miejscowosc)
            ->setKodPocztowy($kodPocztowy)
            ->setMobile($mobile)
            ->setEmail($email)
            ->setEZwrotKarta($eZwrotKarta)
            ->setIdShop($idShop)
            ->setNazwa2($nazwa2)
            ->setNumerLokalu($numerLokalu)
            ->setNip($nip)
            ->setRegon($regon)
            ->setKrs($krs)
            ->setEZwrotTyp($eZwrotTyp)
            ->setWymagalnoscNumeruIdentyfikujacegoPrzesylke($wymagalnoscNumeruIdentyfikujacegoPrzesylke)
            ->setAvailableOnWebsite($availableOnWebsite)
            ->setEmailForEZwrot($emailForEZwrot)
            ->setPaid($paid)
            ->setConsentValidFor($consentValidFor)
            ->setContractorCost($contractorCost)
            ->setInfoForClient($infoForClient);
    }
    /**
     * Get eZwrotPrzesylki value
     * @return string[]
     */
    public function getEZwrotPrzesylki()
    {
        return $this->eZwrotPrzesylki;
    }
    /**
     * Set eZwrotPrzesylki value
     * @param string[] $eZwrotPrzesylki
     * @return ShopEZwrotyType
     */
    public function setEZwrotPrzesylki(array $eZwrotPrzesylki = array())
    {
        $this->eZwrotPrzesylki = $eZwrotPrzesylki;
        return $this;
    }
    /**
     * Add item to eZwrotPrzesylki value
     * @uses EZwrotPrzesylkiType::valueIsValid()
     * @uses EZwrotPrzesylkiType::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $item
     * @return ShopEZwrotyType
     */
    public function addToEZwrotPrzesylki($item)
    {
        $this->eZwrotPrzesylki[] = $item;
        return $this;
    }
    /**
     * Get nazwa value
     * @return string
     */
    public function getNazwa()
    {
        return $this->nazwa;
    }
    /**
     * Set nazwa value
     * @param string $nazwa
     * @return ShopEZwrotyType
     */
    public function setNazwa($nazwa = null)
    {
        $this->nazwa = $nazwa;
        return $this;
    }
    /**
     * Get przyjaznaNazwa value
     * @return string
     */
    public function getPrzyjaznaNazwa()
    {
        return $this->przyjaznaNazwa;
    }
    /**
     * Set przyjaznaNazwa value
     * @param string $przyjaznaNazwa
     * @return ShopEZwrotyType
     */
    public function setPrzyjaznaNazwa($przyjaznaNazwa = null)
    {
        $this->przyjaznaNazwa = $przyjaznaNazwa;
        return $this;
    }
    /**
     * Get ulica value
     * @return string
     */
    public function getUlica()
    {
        return $this->ulica;
    }
    /**
     * Set ulica value
     * @param string $ulica
     * @return ShopEZwrotyType
     */
    public function setUlica($ulica = null)
    {
        $this->ulica = $ulica;
        return $this;
    }
    /**
     * Get numerDomu value
     * @return string
     */
    public function getNumerDomu()
    {
        return $this->numerDomu;
    }
    /**
     * Set numerDomu value
     * @param string $numerDomu
     * @return ShopEZwrotyType
     */
    public function setNumerDomu($numerDomu = null)
    {
        $this->numerDomu = $numerDomu;
        return $this;
    }
    /**
     * Get miejscowosc value
     * @return string
     */
    public function getMiejscowosc()
    {
        return $this->miejscowosc;
    }
    /**
     * Set miejscowosc value
     * @param string $miejscowosc
     * @return ShopEZwrotyType
     */
    public function setMiejscowosc($miejscowosc = null)
    {
        $this->miejscowosc = $miejscowosc;
        return $this;
    }
    /**
     * Get kodPocztowy value
     * @return string
     */
    public function getKodPocztowy()
    {
        return $this->kodPocztowy;
    }
    /**
     * Set kodPocztowy value
     * @param string $kodPocztowy
     * @return ShopEZwrotyType
     */
    public function setKodPocztowy($kodPocztowy = null)
    {
        $this->kodPocztowy = $kodPocztowy;
        return $this;
    }
    /**
     * Get mobile value
     * @return string
     */
    public function getMobile()
    {
        return $this->mobile;
    }
    /**
     * Set mobile value
     * @param string $mobile
     * @return ShopEZwrotyType
     */
    public function setMobile($mobile = null)
    {
        $this->mobile = $mobile;
        return $this;
    }
    /**
     * Get email value
     * @return string
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $email
     * @return ShopEZwrotyType
     */
    public function setEmail($email = null)
    {
        $this->email = $email;
        return $this;
    }
    /**
     * Get eZwrotKarta value
     * @return EZwrotKartaType|null
     */
    public function getEZwrotKarta()
    {
        return $this->eZwrotKarta;
    }
    /**
     * Set eZwrotKarta value
     * @param EZwrotKartaType $eZwrotKarta
     * @return ShopEZwrotyType
     */
    public function setEZwrotKarta(EZwrotKartaType $eZwrotKarta = null)
    {
        $this->eZwrotKarta = $eZwrotKarta;
        return $this;
    }
    /**
     * Get idShop value
     * @return int|null
     */
    public function getIdShop()
    {
        return $this->idShop;
    }
    /**
     * Set idShop value
     * @param int $idShop
     * @return ShopEZwrotyType
     */
    public function setIdShop($idShop = null)
    {
        $this->idShop = $idShop;
        return $this;
    }
    /**
     * Get nazwa2 value
     * @return string|null
     */
    public function getNazwa2()
    {
        return $this->nazwa2;
    }
    /**
     * Set nazwa2 value
     * @param string $nazwa2
     * @return ShopEZwrotyType
     */
    public function setNazwa2($nazwa2 = null)
    {
        $this->nazwa2 = $nazwa2;
        return $this;
    }
    /**
     * Get numerLokalu value
     * @return string|null
     */
    public function getNumerLokalu()
    {
        return $this->numerLokalu;
    }
    /**
     * Set numerLokalu value
     * @param string $numerLokalu
     * @return ShopEZwrotyType
     */
    public function setNumerLokalu($numerLokalu = null)
    {
        $this->numerLokalu = $numerLokalu;
        return $this;
    }
    /**
     * Get nip value
     * @return string|null
     */
    public function getNip()
    {
        return $this->nip;
    }
    /**
     * Set nip value
     * @param string $nip
     * @return ShopEZwrotyType
     */
    public function setNip($nip = null)
    {
        $this->nip = $nip;
        return $this;
    }
    /**
     * Get regon value
     * @return string|null
     */
    public function getRegon()
    {
        return $this->regon;
    }
    /**
     * Set regon value
     * @param string $regon
     * @return ShopEZwrotyType
     */
    public function setRegon($regon = null)
    {
        $this->regon = $regon;
        return $this;
    }
    /**
     * Get krs value
     * @return string|null
     */
    public function getKrs()
    {
        return $this->krs;
    }
    /**
     * Set krs value
     * @param string $krs
     * @return ShopEZwrotyType
     */
    public function setKrs($krs = null)
    {
        $this->krs = $krs;
        return $this;
    }
    /**
     * Get eZwrotTyp value
     * @return string|null
     */
    public function getEZwrotTyp()
    {
        return $this->eZwrotTyp;
    }
    /**
     * Set eZwrotTyp value
     * @param string $eZwrotTyp
     * @return ShopEZwrotyType
     */
    public function setEZwrotTyp($eZwrotTyp = null)
    {
        $this->eZwrotTyp = $eZwrotTyp;
        return $this;
    }
    /**
     * Get wymagalnoscNumeruIdentyfikujacegoPrzesylke value
     * @return string|null
     */
    public function getWymagalnoscNumeruIdentyfikujacegoPrzesylke()
    {
        return $this->wymagalnoscNumeruIdentyfikujacegoPrzesylke;
    }
    /**
     * Set wymagalnoscNumeruIdentyfikujacegoPrzesylke value
     * @param string $wymagalnoscNumeruIdentyfikujacegoPrzesylke
     * @return ShopEZwrotyType
     */
    public function setWymagalnoscNumeruIdentyfikujacegoPrzesylke($wymagalnoscNumeruIdentyfikujacegoPrzesylke = null)
    {
        $this->wymagalnoscNumeruIdentyfikujacegoPrzesylke = $wymagalnoscNumeruIdentyfikujacegoPrzesylke;
        return $this;
    }
    /**
     * Get availableOnWebsite value
     * @return bool|null
     */
    public function getAvailableOnWebsite()
    {
        return $this->availableOnWebsite;
    }
    /**
     * Set availableOnWebsite value
     * @param bool $availableOnWebsite
     * @return ShopEZwrotyType
     */
    public function setAvailableOnWebsite($availableOnWebsite = null)
    {
        $this->availableOnWebsite = $availableOnWebsite;
        return $this;
    }
    /**
     * Get emailForEZwrot value
     * @return string|null
     */
    public function getEmailForEZwrot()
    {
        return $this->emailForEZwrot;
    }
    /**
     * Set emailForEZwrot value
     * @param string $emailForEZwrot
     * @return ShopEZwrotyType
     */
    public function setEmailForEZwrot($emailForEZwrot = null)
    {
        $this->emailForEZwrot = $emailForEZwrot;
        return $this;
    }
    /**
     * Get paid value
     * @return bool|null
     */
    public function getPaid()
    {
        return $this->paid;
    }
    /**
     * Set paid value
     * @param bool $paid
     * @return ShopEZwrotyType
     */
    public function setPaid($paid = null)
    {
        $this->paid = $paid;
        return $this;
    }
    /**
     * Get consentValidFor value
     * @return int|null
     */
    public function getConsentValidFor()
    {
        return $this->consentValidFor;
    }
    /**
     * Set consentValidFor value
     * @param int $consentValidFor
     * @return ShopEZwrotyType
     */
    public function setConsentValidFor($consentValidFor = null)
    {
        $this->consentValidFor = $consentValidFor;
        return $this;
    }
    /**
     * Get contractorCost value
     * @return int|null
     */
    public function getContractorCost()
    {
        return $this->contractorCost;
    }
    /**
     * Set contractorCost value
     * @param int $contractorCost
     * @return ShopEZwrotyType
     */
    public function setContractorCost($contractorCost = null)
    {
        $this->contractorCost = $contractorCost;
        return $this;
    }
    /**
     * Get infoForClient value
     * @return string|null
     */
    public function getInfoForClient()
    {
        return $this->infoForClient;
    }
    /**
     * Set infoForClient value
     * @param string $infoForClient
     * @return ShopEZwrotyType
     */
    public function setInfoForClient($infoForClient = null)
    {
        $this->infoForClient = $infoForClient;
        return $this;
    }
}
