<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sposobDoreczeniaType StructType
 * @subpackage Structs
 */
class SposobDoreczeniaType extends AbstractStructBase
{
    /**
     * The kod
     * Meta information extracted from the WSDL
     * - documentation: kod sposobu doręczenia (jeden z HOM, PCS, PCF, SHP)
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $kod;
    /**
     * The identyfikatorPunktuOdbioru
     * Meta information extracted from the WSDL
     * - documentation: Wartość alfanumeryczna o maksymalnej długości 35 znaków, nie wymagany dla kod=HOM
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $identyfikatorPunktuOdbioru;
    /**
     * Constructor method for sposobDoreczeniaType
     * @uses SposobDoreczeniaType::setKod()
     * @uses SposobDoreczeniaType::setIdentyfikatorPunktuOdbioru()
     * @param string $kod
     * @param string $identyfikatorPunktuOdbioru
     */
    public function __construct($kod = null, $identyfikatorPunktuOdbioru = null)
    {
        $this
            ->setKod($kod)
            ->setIdentyfikatorPunktuOdbioru($identyfikatorPunktuOdbioru);
    }
    /**
     * Get kod value
     * @return string
     */
    public function getKod()
    {
        return $this->kod;
    }
    /**
     * Set kod value
     * @param string $kod
     * @return SposobDoreczeniaType
     */
    public function setKod($kod = null)
    {
        $this->kod = $kod;
        return $this;
    }
    /**
     * Get identyfikatorPunktuOdbioru value
     * @return string|null
     */
    public function getIdentyfikatorPunktuOdbioru()
    {
        return $this->identyfikatorPunktuOdbioru;
    }
    /**
     * Set identyfikatorPunktuOdbioru value
     * @param string $identyfikatorPunktuOdbioru
     * @return SposobDoreczeniaType
     */
    public function setIdentyfikatorPunktuOdbioru($identyfikatorPunktuOdbioru = null)
    {
        $this->identyfikatorPunktuOdbioru = $identyfikatorPunktuOdbioru;
        return $this;
    }
}
