<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SzczegolyZawartosciPrzesylkiZagranicznejType StructType
 * @subpackage Structs
 */
class SzczegolyZawartosciPrzesylkiZagranicznejType extends AbstractStructBase
{
    /**
     * The okreslenieZawartosci
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $okreslenieZawartosci;
    /**
     * The ilosc
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ilosc;
    /**
     * The wartosc
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $wartosc;
    /**
     * The masaNetto
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $masaNetto;
    /**
     * The numerTaryfyHs
     * Meta information extracted from the WSDL
     * - documentation: Numer taryfy Zharmonizowanego Systemu (HS)
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $numerTaryfyHs;
    /**
     * The krajPochodzeniaKodAlfa2
     * Meta information extracted from the WSDL
     * - documentation: Kod ISO (alfa-2) kraju pochodzenia opisywanej zawartości
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $krajPochodzeniaKodAlfa2;
    /**
     * Constructor method for SzczegolyZawartosciPrzesylkiZagranicznejType
     * @uses SzczegolyZawartosciPrzesylkiZagranicznejType::setOkreslenieZawartosci()
     * @uses SzczegolyZawartosciPrzesylkiZagranicznejType::setIlosc()
     * @uses SzczegolyZawartosciPrzesylkiZagranicznejType::setWartosc()
     * @uses SzczegolyZawartosciPrzesylkiZagranicznejType::setMasaNetto()
     * @uses SzczegolyZawartosciPrzesylkiZagranicznejType::setNumerTaryfyHs()
     * @uses SzczegolyZawartosciPrzesylkiZagranicznejType::setKrajPochodzeniaKodAlfa2()
     * @param string $okreslenieZawartosci
     * @param int $ilosc
     * @param float $wartosc
     * @param int $masaNetto
     * @param string $numerTaryfyHs
     * @param string $krajPochodzeniaKodAlfa2
     */
    public function __construct($okreslenieZawartosci = null, $ilosc = null, $wartosc = null, $masaNetto = null, $numerTaryfyHs = null, $krajPochodzeniaKodAlfa2 = null)
    {
        $this
            ->setOkreslenieZawartosci($okreslenieZawartosci)
            ->setIlosc($ilosc)
            ->setWartosc($wartosc)
            ->setMasaNetto($masaNetto)
            ->setNumerTaryfyHs($numerTaryfyHs)
            ->setKrajPochodzeniaKodAlfa2($krajPochodzeniaKodAlfa2);
    }
    /**
     * Get okreslenieZawartosci value
     * @return string
     */
    public function getOkreslenieZawartosci()
    {
        return $this->okreslenieZawartosci;
    }
    /**
     * Set okreslenieZawartosci value
     * @param string $okreslenieZawartosci
     * @return SzczegolyZawartosciPrzesylkiZagranicznejType
     */
    public function setOkreslenieZawartosci($okreslenieZawartosci = null)
    {
        $this->okreslenieZawartosci = $okreslenieZawartosci;
        return $this;
    }
    /**
     * Get ilosc value
     * @return int
     */
    public function getIlosc()
    {
        return $this->ilosc;
    }
    /**
     * Set ilosc value
     * @param int $ilosc
     * @return SzczegolyZawartosciPrzesylkiZagranicznejType
     */
    public function setIlosc($ilosc = null)
    {
        $this->ilosc = $ilosc;
        return $this;
    }
    /**
     * Get wartosc value
     * @return float
     */
    public function getWartosc()
    {
        return $this->wartosc;
    }
    /**
     * Set wartosc value
     * @param float $wartosc
     * @return SzczegolyZawartosciPrzesylkiZagranicznejType
     */
    public function setWartosc($wartosc = null)
    {
        $this->wartosc = $wartosc;
        return $this;
    }
    /**
     * Get masaNetto value
     * @return int|null
     */
    public function getMasaNetto()
    {
        return $this->masaNetto;
    }
    /**
     * Set masaNetto value
     * @param int $masaNetto
     * @return SzczegolyZawartosciPrzesylkiZagranicznejType
     */
    public function setMasaNetto($masaNetto = null)
    {
        $this->masaNetto = $masaNetto;
        return $this;
    }
    /**
     * Get numerTaryfyHs value
     * @return string|null
     */
    public function getNumerTaryfyHs()
    {
        return $this->numerTaryfyHs;
    }
    /**
     * Set numerTaryfyHs value
     * @param string $numerTaryfyHs
     * @return SzczegolyZawartosciPrzesylkiZagranicznejType
     */
    public function setNumerTaryfyHs($numerTaryfyHs = null)
    {
        $this->numerTaryfyHs = $numerTaryfyHs;
        return $this;
    }
    /**
     * Get krajPochodzeniaKodAlfa2 value
     * @return string|null
     */
    public function getKrajPochodzeniaKodAlfa2()
    {
        return $this->krajPochodzeniaKodAlfa2;
    }
    /**
     * Set krajPochodzeniaKodAlfa2 value
     * @param string $krajPochodzeniaKodAlfa2
     * @return SzczegolyZawartosciPrzesylkiZagranicznejType
     */
    public function setKrajPochodzeniaKodAlfa2($krajPochodzeniaKodAlfa2 = null)
    {
        $this->krajPochodzeniaKodAlfa2 = $krajPochodzeniaKodAlfa2;
        return $this;
    }
}
