<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for wplataCKPType StructType
 * @subpackage Structs
 */
class WplataCKPType extends AbstractStructBase
{
    /**
     * The unikalnyIdentyfikatorWplaty
     * Meta information extracted from the WSDL
     * - use: required
     * @var string
     */
    public $unikalnyIdentyfikatorWplaty;
    /**
     * The numerNadania
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 20
     * - minLength: 13
     * - use: required
     * @var string
     */
    public $numerNadania;
    /**
     * The kwota
     * Meta information extracted from the WSDL
     * - documentation: Kwota w groszach
     * - use: required
     * @var int
     */
    public $kwota;
    /**
     * The dataPobrania
     * Meta information extracted from the WSDL
     * - use: required
     * @var string
     */
    public $dataPobrania;
    /**
     * The idUmowy
     * Meta information extracted from the WSDL
     * - use: required
     * @var int
     */
    public $idUmowy;
    /**
     * The tytulPrzelewuZbiorczego
     * Meta information extracted from the WSDL
     * - use: required
     * @var string
     */
    public $tytulPrzelewuZbiorczego;
    /**
     * The dataPrzelewu
     * Meta information extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $dataPrzelewu;
    /**
     * Constructor method for wplataCKPType
     * @uses WplataCKPType::setUnikalnyIdentyfikatorWplaty()
     * @uses WplataCKPType::setNumerNadania()
     * @uses WplataCKPType::setKwota()
     * @uses WplataCKPType::setDataPobrania()
     * @uses WplataCKPType::setIdUmowy()
     * @uses WplataCKPType::setTytulPrzelewuZbiorczego()
     * @uses WplataCKPType::setDataPrzelewu()
     * @param string $unikalnyIdentyfikatorWplaty
     * @param string $numerNadania
     * @param int $kwota
     * @param string $dataPobrania
     * @param int $idUmowy
     * @param string $tytulPrzelewuZbiorczego
     * @param string $dataPrzelewu
     */
    public function __construct($unikalnyIdentyfikatorWplaty = null, $numerNadania = null, $kwota = null, $dataPobrania = null, $idUmowy = null, $tytulPrzelewuZbiorczego = null, $dataPrzelewu = null)
    {
        $this
            ->setUnikalnyIdentyfikatorWplaty($unikalnyIdentyfikatorWplaty)
            ->setNumerNadania($numerNadania)
            ->setKwota($kwota)
            ->setDataPobrania($dataPobrania)
            ->setIdUmowy($idUmowy)
            ->setTytulPrzelewuZbiorczego($tytulPrzelewuZbiorczego)
            ->setDataPrzelewu($dataPrzelewu);
    }
    /**
     * Get unikalnyIdentyfikatorWplaty value
     * @return string
     */
    public function getUnikalnyIdentyfikatorWplaty()
    {
        return $this->unikalnyIdentyfikatorWplaty;
    }
    /**
     * Set unikalnyIdentyfikatorWplaty value
     * @param string $unikalnyIdentyfikatorWplaty
     * @return WplataCKPType
     */
    public function setUnikalnyIdentyfikatorWplaty($unikalnyIdentyfikatorWplaty = null)
    {
        $this->unikalnyIdentyfikatorWplaty = $unikalnyIdentyfikatorWplaty;
        return $this;
    }
    /**
     * Get numerNadania value
     * @return string
     */
    public function getNumerNadania()
    {
        return $this->numerNadania;
    }
    /**
     * Set numerNadania value
     * @param string $numerNadania
     * @return WplataCKPType
     */
    public function setNumerNadania($numerNadania = null)
    {
        $this->numerNadania = $numerNadania;
        return $this;
    }
    /**
     * Get kwota value
     * @return int
     */
    public function getKwota()
    {
        return $this->kwota;
    }
    /**
     * Set kwota value
     * @param int $kwota
     * @return WplataCKPType
     */
    public function setKwota($kwota = null)
    {
        $this->kwota = $kwota;
        return $this;
    }
    /**
     * Get dataPobrania value
     * @return string
     */
    public function getDataPobrania()
    {
        return $this->dataPobrania;
    }
    /**
     * Set dataPobrania value
     * @param string $dataPobrania
     * @return WplataCKPType
     */
    public function setDataPobrania($dataPobrania = null)
    {
        $this->dataPobrania = $dataPobrania;
        return $this;
    }
    /**
     * Get idUmowy value
     * @return int
     */
    public function getIdUmowy()
    {
        return $this->idUmowy;
    }
    /**
     * Set idUmowy value
     * @param int $idUmowy
     * @return WplataCKPType
     */
    public function setIdUmowy($idUmowy = null)
    {
        $this->idUmowy = $idUmowy;
        return $this;
    }
    /**
     * Get tytulPrzelewuZbiorczego value
     * @return string
     */
    public function getTytulPrzelewuZbiorczego()
    {
        return $this->tytulPrzelewuZbiorczego;
    }
    /**
     * Set tytulPrzelewuZbiorczego value
     * @param string $tytulPrzelewuZbiorczego
     * @return WplataCKPType
     */
    public function setTytulPrzelewuZbiorczego($tytulPrzelewuZbiorczego = null)
    {
        $this->tytulPrzelewuZbiorczego = $tytulPrzelewuZbiorczego;
        return $this;
    }
    /**
     * Get dataPrzelewu value
     * @return string|null
     */
    public function getDataPrzelewu()
    {
        return $this->dataPrzelewu;
    }
    /**
     * Set dataPrzelewu value
     * @param string $dataPrzelewu
     * @return WplataCKPType
     */
    public function setDataPrzelewu($dataPrzelewu = null)
    {
        $this->dataPrzelewu = $dataPrzelewu;
        return $this;
    }
}
